/* fixmap - make new fibermap files with the correct layer
 *
 *	USAGE: fixmap cam > out.cam
 *
 * NOTE: THE MAPS WERE CORRECT! This program is not needed! But I leaving
 * it here for reference. (MAO, Mar 1997)
 *
 * THE FOLLOWING PARAGRAPH IS FALSE:
 * On 17 Mar 1997, I noticed that the fibermaps had the layers wrong. They
 * have the layers as 0=X1, 1=Y1, 2=X2, 3=Y2, 4=X3, 5=Y3 and they should
 * really be ........ 0=Y3, 1=X3, 2=Y2, 3=X2, 4=Y1, 5=X1. This problem must
 * date back to when I coded it last year and had the layers reversed.
 *
 * Marty Olevitch, March 1997
 */

#include <stdio.h>
#include <softcris.h>

static struct sc_fmapElem *fmapp[SC_FMAPX];

int
main(int argc, char *argv[])
{
    int cam;
    struct sc_fmapElem *f;
    int i;
    int j;
    int ret;

    if (argc != 2) {
	fprintf(stderr,"USAGE: %s cam\n", argv[0]);
	exit(1);
    }

    cam = atoi(argv[1]);
    if (cam != SC_CAM2 && cam != SC_CAM1) {
	fprintf(stderr,"cam must be %d or %d, not %d\n", SC_CAM2, SC_CAM1,
	    cam);
	exit(1);
    }

    for (i=0; i<SC_FMAPX; i++) {
	fmapp[i] = (struct sc_fmapElem *)
	    malloc(SC_FMAPY*sizeof(struct sc_fmapElem));
	if (fmapp[i] == NULL) {
	    fprintf(stderr,"bad malloc\n");
	    exit(1);
	}
    }

    i = sc_read_fmap(cam, &fmapp[0]);
    if (i) {
	fprintf(stderr,"bad sc_read_fmap\n");
	exit(1);
    }

    for (i=0; i<SC_FMAPX; i++) {
	for (j=0; j<SC_FMAPY; j++) {
	    f = &fmapp[i][j];
	    if (f->layer != -1) {
		f->layer = 5 - f->layer;
	    }
	}
    }

    for (i=0; i<SC_FMAPX; i++) {
	ret = fwrite(fmapp[i], sizeof(struct sc_fmapElem), SC_FMAPY,
	    stdout);
	if (ret != SC_FMAPY) {
	    fprintf(stderr,"bad fwrite\n");
	    exit(1);
	}
    }
    exit(0);
}
