/* fmap_chk - "check" a fiber map between big- and little-endian 
 *
 * USAGE: fmap_convert map x y
 *
 *	Marty Olevitch, Dec 1996
 */

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <math.h>
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    unsigned char *cp;
    float f;
    struct sc_fmapElem *fmapp;
    struct sc_fmapElem *fmap[SC_FMAPX];
    int i;
    char *infile;
    int j;
    unsigned long *lp;
    int ret;
    int x;
    int y;

    Progname = argv[0];

    if (argc != 4) {
	fprintf(stderr, "USAGE: %s map x y\n", Progname);
	exit(1);
    }

    infile = argv[1];
    x = atof(argv[2]);
    if (x > SC_FMAPX) {
	fprintf(stderr, "%s: x must be less than %d (not %d)\n", Progname,
	    SC_FMAPX, x);
	exit(1);
    }

    y = atof(argv[3]);
    if (y > SC_FMAPY) {
	fprintf(stderr, "%s: y must be less than %d (not %d)\n", Progname,
	    SC_FMAPY, y);
	exit(1);
    }

    for (i=0; i<SC_FMAPX; i++) {
	fmap[i] = (struct sc_fmapElem *)
	    malloc(SC_FMAPY * sizeof(struct sc_fmapElem));
	if (fmap[i] == (struct sc_fmapElem *)NULL) {
	    fprintf(stderr, "%s: can't malloc map (tab %d)\n", 
	    	Progname, i);
	    exit(1);
	}
    }

    ret = sc_read_fmap_by_name(infile, fmap);
    if (ret) {
	exit(ret);
    }

    fmapp = &fmap[x][y];
    printf("x %d y %d f %f\n", x, y, fmapp->fiber);

    exit(0);
}
