/* L1_next_cmd_test */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 40

uint32 Res[AMT] = {
60451220, 60451221, 60451268, 60451269, 60451299, 60451300, 60451455, 60451456,
60451826, 60451827, 60451828, 60451829, 60451830, 60451831, 60451832, 60451833,
60451834, 60451835, 60451836, 60451837, 60451838, 60451839, 60451840, 60451841,
60451842, 60451843, 60451844, 60451845, 60451846, 60451847, 60451848, 60451849,
60451850, 60451851, 60451852, 60451853, 60451854, 60451855, 60451856, 60451857, 
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct L1CrisCommandEcho e;
    int i;
    uint32 res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(700, 705);

    for (i=0; i<AMT; i++) {
	ret = sc_L1_next_cmd(&e, &day1996);
	if (ret == -1) {
	    fprintf(stderr, "bad ret\n");
	    return -1;
	}
	res[i] = e.Second1996;
    }

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "Second1996", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("uint32 Res[AMT] = {\n");
	for (i=0; i<AMT; i++) {
	    printf("%u, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    uint32 want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %u, wanted %u (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
