/* L1_next_diag_sec */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

unsigned long Start = 69389981;
unsigned long End = 69692400;

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct sc_diagEvt e;
    long end;
    int err = 0;
    int i;
    int ret;
    long start;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);
    sc_L1_set_start_end_sec(69389900, 69692400);

    ret = sc_L1_next_diag_sec(&e, &day1996);
    start = e.e.secs1996;
    while ((ret = sc_L1_next_diag_sec(&e, &day1996)) != -1) {
	end = e.e.secs1996;
    }
    if (!dbg) {
	if (start != Start) {
	    fprintf(stderr,"%s: Start wrong, wanted %lu, got %lu\n",
	    	Progname, Start, start);
	    err = 1;
	}
	if (end != End) {
	    fprintf(stderr,"%s: end wrong, wanted %lu, got %lu\n",
	    	Progname, End, end);
	    err = 1;
	}
	if (err) {
	    return -1;
	}
    } else {
	printf("unsigned long Start = %ld;\n", start);
	printf("unsigned long End = %ld;\n", end);
    }

    return 0;
}

#endif /* NO_LEVEL1 */
