/* L1_next_diag */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 40
long Res[AMT] = {
815, 29, 279, 375, 163, 591, 311, 125, 93, 279, 155, 85, 89, 251, 155, 101, 56,
263, 50, 52, 527, 179, 131, 655, 15, 359, 311, 471, 623, 89, 155, 147, 109,
295, 503, 13, 52, 163, 471, 227, 
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct sc_diagEvt e;
    int i;
    long res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);

    for (i=0; i<AMT; i++) {
	ret = sc_L1_next_diag(&e, &day1996);
	if (ret == -1) {
	    fprintf(stderr, "bad ret\n");
	    return -1;
	}
	res[i] = e.e.npix;
    }

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "npix", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("long Res[AMT] = {\n");
	for (i=0; i<AMT; i++) {
	    printf("%ld, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    long want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %ld, wanted %ld (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
