/* L1_next_hipri_rate_test */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 40

uint32 Res[AMT] = {
69119988, 69120004, 69120020, 69120036, 69120052, 69120068, 69120084, 69120100,
69120116, 69120132, 69120148, 69120164, 69120180, 69120196, 69120212, 69120228,
69120244, 69120260, 69120276, 69120292, 69120308, 69120324, 69120340, 69120356,
69120372, 69120388, 69120404, 69120420, 69120436, 69120452, 69120468, 69120484,
69120500, 69120516, 69120532, 69120548, 69120564, 69120580, 69120596, 69120612, 
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct L1CrisHighPriorityRate e;
    int i;
    uint32 res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);

    for (i=0; i<AMT; i++) {
	ret = sc_L1_next_hipri_rate(&e, &day1996);
	if (ret == -1) {
	    fprintf(stderr, "bad ret\n");
	    return -1;
	}
	res[i] = e.Second1996;
    }

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "hp[4]", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("uint32 Res[AMT] = {\n");
	for (i=0; i<AMT; i++) {
	    printf("%u, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    uint32 want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %u, wanted %u (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
