/* L1_next_hsk_test */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 40
uint32 Res[AMT] = {
69119796, 69120052, 69120308, 69120564, 69120820, 69121076, 69121332, 69121588,
69121844, 69122100, 69122356, 69122612, 69122868, 69123124, 69123380, 69123636,
69123892, 69124148, 69124404, 69124660, 69124916, 69125172, 69125428, 69125684,
69125940, 69126196, 69126452, 69126708, 69126964, 69127220, 69127476, 69127732,
69127988, 69128244, 69128500, 69128756, 69129012, 69129268, 69129524, 69129780, 
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct L1CrisHskp e;
    int i;
    uint32 res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);

    for (i=0; i<AMT; i++) {
	ret = sc_L1_next_hsk_raw(&e, &day1996);
	if (ret < 0) {
	    fprintf(stderr, "bad ret\n");
	    return -1;
	}
	res[i] = e.Second1996;
    }

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "Second1996", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("uint32 Res[AMT] = {\n");
	for (i=0; i<AMT; i++) {
	    printf("%u, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    uint32 want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %u, wanted %u (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
