/* L1_next_lopri_rate_sec */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

unsigned long Start = 69187379;
unsigned long End = 69192755;

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct L1CrisLowPriorityRate e;
    long end;
    int err = 0;
    int i;
    int ret;
    long start;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);

#ifdef NOTDEF
    while ((ret = sc_L1_next_lopri_rate_raw(&e, &day1996)) != -1) {
	printf("%lu\n", e.Second1996);
    }
    exit(0);
#endif

    sc_L1_set_start_end_sec(69187300, 69192800);
    ret = sc_L1_next_lopri_rate_raw_sec(&e, &day1996);
    start = e.Second1996;
    while ((ret = sc_L1_next_lopri_rate_raw_sec(&e, &day1996)) != -1) {
	end = e.Second1996;
    }
    if (!dbg) {
	if (start != Start) {
	    fprintf(stderr,"%s: Start wrong, wanted %lu, got %lu\n",
	    	Progname, Start, start);
	    err = 1;
	}
	if (end != End) {
	    fprintf(stderr,"%s: end wrong, wanted %lu, got %lu\n",
	    	Progname, End, end);
	    err = 1;
	}
	if (err) {
	    return -1;
	}
    } else {
	printf("unsigned long Start = %ld;\n", start);
	printf("unsigned long End = %ld;\n", end);
    }

    return 0;
}

#endif /* NO_LEVEL1 */
