/* L1_next_lopri_rate_test */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 40

uint32 Res[AMT] = {
32606, 32895, 32465, 32552, 32389, 32504, 32935, 33190, 33677, 32428, 32641,
33016, 32988, 32104, 32880, 32949, 32305, 32945, 32424, 32724, 32782, 33210,
32879, 32432, 32499, 33136, 32883, 33408, 32764, 33177, 32113, 33202, 32090,
32990, 31400, 33034, 33043, 32994, 33174, 33033, 
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct L1CrisLowPriorityRate e;
    int i;
    uint32 res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);

    for (i=0; i<AMT; i++) {
	ret = sc_L1_next_lopri_rate_raw(&e, &day1996);
	if (ret == -1) {
	    fprintf(stderr, "bad ret\n");
	    return -1;
	}
	res[i] = e.trg0rat;
    }

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "trg0rat", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("uint32 Res[AMT] = {\n");
	for (i=0; i<AMT; i++) {
	    printf("%u, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    uint32 want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %u, wanted %u (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
