/* L1_next_lopri_rate_test */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 40

float32 Res[AMT] = {
    509.468750, 513.984375, 507.265625, 508.625000, 506.078125, 507.875000,
    514.609375, 518.593750, 526.203125, 506.687500, 510.015625, 515.875000,
    515.437500, 501.625000, 513.750000, 514.828125, 504.765625, 514.765625,
    506.625000, 511.312500, 512.218750, 518.906250, 513.734375, 506.750000,
    507.796875, 517.750000, 513.796875, 522.000000, 511.937500, 518.390625,
    501.765625, 518.781250, 501.406250, 515.468750, 490.625000, 516.156250,
    516.296875, 515.531250, 518.343750, 516.140625, 
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct L1_1CrisLowPriorityRate e;
    int i;
    float32 res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(801, 810);

    for (i=0; i<AMT; i++) {
	ret = sc_L1_next_lopri_rate(&e, &day1996);
	if (ret == -1) {
	    fprintf(stderr, "bad ret\n");
	    return -1;
	}
	res[i] = e.trg0rat;
    }

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "trg0rat", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("float32 Res[AMT] = {\n");
	for (i=0; i<AMT; i++) {
	    printf("%f, ", res[i]);
	}
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    float32 want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %f, wanted %f (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
