/* t_lu_tab.c - sc_lu_tab(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

struct {
    double x;
    double y;
    double fiber;
    char ypos;
    short layer;
} vals[] = {
    0.0,  	100.0,  1.0,    0x00,   -1,
    50.0,       45.0,   1.0,    0x00,   -1,
    250.0,      40.0,   138.0,  0x3f,   0,
    150.0,      65.0,   590.0,  0x1b,   0,
    400.0,      60.0,   504.0,  0x14,   0,
    57.0,       122.0,  1.0,    0x00,   -1,
    433.0,      122.0,  1713.0, 0x1d,   1,
    40.0,       240.0,  1.0,    0x00,   -1,
    240.0,      200.0,  3233.0, 0x75,   2,
    300.0,      189.0,  3003.0, 0x45,   2,
    400.0,      60.0,   504.0,  0x14,   0,
    400.0,      120.0,  1717.0, 0x70,   1,
    400.0,      200.0,  3253.0, 0x62,   2,
    400.0,      268.0,  4559.0, 0x5e,   3,
    400.0,      348.0,  5768.0, 0x70,   4,
    400.0,      425.0,  7150.0, 0x28,   5,
#ifdef OLD
    0.0,  	100.0,  0.0,    0x00,   -1,
    50.0,       45.0,   0.0,    0x00,   -1,
    250.0,      40.0,   137.0,  0x3f,   0,
    150.0,      65.0,   588.0,  0x1b,   0,
    400.0,      60.0,   502.0,  0x14,   0,
    57.0,       122.0,  0.0,    0x00,   -1,
    433.0,      122.0,  1711.0, 0x1d,   1,
    40.0,       240.0,  0.0,    0x00,   -1,
    240.0,      200.0,  3230.0, 0x75,   2,
    300.0,      189.0,  3000.0, 0x45,   2,
    400.0,      60.0,   502.0,  0x14,   0,
    400.0,      120.0,  1715.0, 0x70,   1,
    400.0,      200.0,  3250.0, 0x62,   2,
    400.0,      268.0,  4556.0, 0x5e,   3,
    400.0,      348.0,  5765.0, 0x70,   4,
    400.0,      425.0,  7144.0, 0x28,   5,
#endif
};

#define NVALS (sizeof(vals)/sizeof(vals[0]))

int
main(int argc, char *argv[])
{
    int i;
    int ret;
    struct sc_fmapElem *f;

    Progname = argv[0];

    for (i=0; i<NVALS; i++) {
	f = sc_centr_to_fiber(SC_CAM2, vals[i].x, vals[i].y);
#ifndef NOTDEF
	if (f == (struct sc_fmapElem *)NULL) {
	    fprintf(stderr,"%s: (i=%d) bad value:\n", Progname, i);
	    return -1;
	}
	if (ceil(f->fiber) != vals[i].fiber || f->ypos != vals[i].ypos ||
		f->layer != vals[i].layer) {
	    fprintf(stderr,"%s: (i=%d) some of these things are wrong\n", 
	    	Progname, i);
	    fprintf(stderr,"\tfiber: want %.1f, got %.1f\n",
	    	vals[i].fiber, ceil(f->fiber));
	    fprintf(stderr,"\typos: want %02x, got %02x\n",
	    	vals[i].ypos, f->ypos);
	    fprintf(stderr,"\tlayer: want %d, got %d\n",
	    	vals[i].layer, f->layer);
	    return -1;
	}
#else
	if (f == (struct sc_fmapElem *)NULL) {
	    fprintf(stderr,"%s: (i=%d) bad value:\n", Progname, i);
	    continue;
	}
	printf("    %.1f,\t%.1f,\t%.1f,\t0x%02x,\t%d,\n", 
	    vals[i].x, vals[i].y, ceil(f->fiber), f->ypos, f->layer);
#endif
    }

    return 0;
}
