/* chk_cris_norm_test.c - sc_chk_cris_norm_test() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    u_char buf[10];
    struct sc_crisEvt c;
    u_char *cp;
    int ret;

    Progname = argv[0];

    buf[0] = 0x47;
    buf[1] = 0x80;
    buf[2] = 0x27;
    buf[3] = 0x6c;
    buf[4] = 0x00;
    buf[5] = 0x00;
    buf[6] = 0x37;

    ret = sc_chk_cris_norm(buf, &c);
    if (ret != 0) {
	fprintf(stderr, "%s: (A) sc_chk_cris_norm() returned %d, wanted %d\n",
	    Progname, ret, 0);
	return -1;
    }

    buf[0] = 0x45;
    ret = sc_chk_cris_norm(buf, &c);
    if (ret != 1) {
	fprintf(stderr, "%s: (B) sc_chk_cris_norm() returned %d, wanted %d\n",
	    Progname, ret, 1);
	return -1;
    }

    buf[0] = 0x10;
    ret = sc_chk_cris_norm(buf, &c);
    if (ret != -71) {
	fprintf(stderr, "%s: (B) sc_chk_cris_norm() returned %d, wanted %d\n",
	    Progname, ret, -71);
	return -1;
    }
    return 0;
}
