/* gsi_allow_1_byte_evts_test */

/* note that the call to sc_cris_allow_1_byte_evts() is embedded in the
 * sc_gsi_next_evt() code in the library */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    char filename[100];
    FILE *fp;
    int i, j, k;
    struct sc_ch2 ch2;
    struct sc_diagEvt d;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/gsi.167.frag");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

#ifndef NOTDEF
    for (k=0; k<4; k++) {
	ret = sc_gsi_next_evt(fp, &ch2, &d, filename);
	if (ret != SC_GSI_OK) {
	    fprintf(stderr,"OOPS! ret is not SC_GSI_OK (0), but %d\n", ret);
	    return -1;
	}

	if (*d.softp != SC_START_HDR) {
	    fprintf(stderr, 
	    	"SOFT start is 0x%04x, should be 0x%04x (SC_START_HDR)(k=%d)\n", 
	    	*d.softp, SC_START_HDR, k);
	    return -1;
	}

	if (d.e.nbytes != 1) {
	    fprintf(stderr,"%s: (k=%d) bad nbytes. wanted 1, got %d\n",
		Progname, k, d.e.nbytes);
	    return -1;
	}

    }

    ret = sc_gsi_next_evt(fp, &ch2, &d, filename);
    if (ret != SC_GSI_EOF) {
	fprintf(stderr,"%s: expected %d, but got ret = %d\n", Progname,
	    SC_GSI_EOF, ret);
	return -1;
    }
#else
    for (k=0; k<3; k++) {
	ret = sc_gsi_next_evt(fp, &ch2, &d, filename);
	if (ret != SC_GSI_OK) {
	    fprintf(stderr,"OOPS! ret is not SC_GSI_OK (0), but %d\n", ret);
	    return -1;
	}
	printf("\n%d) size = %d\n", k, d.e.nbytes);
	if (*d.softp != SC_START_HDR) {
	    printf("SOFT start is 0x%04x\n", *d.softp);
	} else {
	    printf("SOFT OK\n");
	}
    }
#endif

    return 0;
}
