/* t_cris_blobify.c - sc_cris_blobify(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

/* segment results */
int segres[] = {6, 36, 75, 7, 7, 6, 5, 7, 4};

u_char D[1200];

int
main(int argc, char *argv[])
{
    double Fx_cen[SC_MSU_MAXBLOBS];
    double Fy_cen[SC_MSU_MAXBLOBS];
    int gotevt = 0;
    int i;
    FILE *ifp;
    int ret;
    long blob_int[SC_MSU_MAXBLOBS];
    int blob_npix;
    char errormesg[1000];
    int pix_per_blob[SC_MSU_MAXBLOBS];
    int x_cen[SC_MSU_MAXBLOBS], y_cen[SC_MSU_MAXBLOBS];

    int seg_blob[SC_MSU_MAXBLOBS];
    int seg_blobtot;
    int seg_nblob;
    int seg_tot;

    Progname = argv[0];

    ifp = fopen("Input/gsi.run264.evt1", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/gsi.run264.evt1' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    ret = fread(D, 1, 1192, ifp);
    if (ret != 1192) {
	fprintf(stderr, "%s: fread problem (%s)\n", Progname,
	    strerror(errno));
	return -1;
    }

    sc_cris_set_cam(SC_CAM1);

    sc_blob_segments(&seg_nblob, seg_blob, &seg_blobtot, &seg_tot);
#ifndef NOTDEF
    if (seg_nblob != 0) {
	fprintf(stderr,"seg_nblob was %d, not 0\n");
	return -1;
    }
#else
    printf("\nseg nblobs = %d;\n", seg_nblob); 
#endif

    ret = sc_cris_blobify(D, x_cen, y_cen, errormesg, NULL,
	&blob_npix, blob_int, NULL, 5, NULL, NULL);
    if (ret != 6) {
	fprintf(stderr,
	    "%s: incorrect no. of blobs (want %d, got %d)\n", 
	    Progname, 6, ret);
	return -1;
    }

    sc_blob_segments(&seg_nblob, seg_blob, &seg_blobtot, &seg_tot);
#ifndef NOTDEF
    if (seg_nblob != segres[0]) {
	fprintf(stderr, "segment nblobs was %d, should be %d\n",
	    seg_nblob, segres[0]);
	return -1;
    }
    if (seg_blobtot != segres[1]) {
	fprintf(stderr, "blob segment total was %d, should be %d\n",
	    seg_tot, segres[1]);
	return -1;
    }
    if (seg_tot != segres[2]) {
	fprintf(stderr, "segment total was %d, should be %d\n",
	    seg_tot, segres[2]);
	return -1;
    }
    for(i=0; i<seg_nblob; i++) {
	if (seg_blob[i] != segres[i+3]) {
	    fprintf(stderr, "seg for blob %d was %d, should be %d\n",
	    	i, seg_blob[i], segres[i+3]);
	    return -1;
	}
    }
#else
    printf("int segres[] = {%d, ", seg_nblob);
    printf("%d, ", seg_blobtot);
    printf("%d", seg_tot);
    for (i=0; i<seg_nblob; i++) {
	printf(", %d", seg_blob[i]);
    }
    printf("};\n");
#endif

    /* now try it with floating point values and pix_per_blob */
    ret = sc_cris_blobify(D, x_cen, y_cen, errormesg, NULL,
	&blob_npix, blob_int, pix_per_blob, 5, Fx_cen, Fy_cen);
    if (ret != 6) {
	fprintf(stderr,
	    "%s: incorrect no. of blobs (want %d, got %d)\n", 
	    Progname, 6, ret);
	return -1;
    }

    sc_blob_segments(&seg_nblob, seg_blob, &seg_blobtot, &seg_tot);
#ifndef NOTDEF
    if (seg_nblob != segres[0]) {
	fprintf(stderr, "2: segment nblobs was %d, should be %d\n",
	    seg_nblob, segres[0]);
	return -1;
    }
    if (seg_blobtot != segres[1]) {
	fprintf(stderr, "2: segment total was %d, should be %d\n",
	    seg_tot, segres[1]);
	return -1;
    }
    if (seg_tot != segres[2]) {
	fprintf(stderr, "2: segment total was %d, should be %d\n",
	    seg_tot, segres[2]);
	return -1;
    }
    for(i=0; i<seg_nblob; i++) {
	if (seg_blob[i] != segres[i+3]) {
	    fprintf(stderr, "2: seg for blob %d was %d, should be %d\n",
	    	i, seg_blob[i], segres[i+3]);
	    return -1;
	}
    }
#else
    printf("int segres[] = {%d, ", seg_nblob);
    printf("%d, ", seg_blobtot);
    printf("%d", seg_tot);
    for (i=0; i<seg_nblob; i++) {
	printf(", %d", seg_blob[i]);
    }
    printf("};\n");
#endif

    return 0;
}
