/* t_cris_blob_sort.c - sc_cris_blob_sort() 
 *
 * NOTE: the blobs in a normal event are already supposed to be sorted by
 * intensity.
 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct sc_crisHodoData hodo[] = {
        119,    72,     16384,
        119,    252,    12288,
        116,    116,    12288,
        113,    398,    8192,
        116,    210,    6144,
        96,     354,    6144,
        1045,   343,    1024,
        101,    69,     768,
        980,    43,     768,
        998,    401,    768,
        806,    202,    512,
        209,    115,    512,
        1018,   145,    512,
        596,    207,    512,
        437,    68,     512,
        137,    75,     384,
        877,    95,     384,
        145,    248,    384,
};

int
main(int argc, char *argv[])
{
    u_char buf[1000];
    struct sc_crisEvt c1, c2;
    u_char *cp;
    char filename[100];
    FILE *fp;
    int i;
    u_char nbytes;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/cris.normal.2");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

    cp = buf;
    ret = fread(cp, 1, 1, fp);
    if (ret != 1) {
	fprintf(stderr, "%s: bad first read\n", Progname);
	return -1;
    }

    nbytes = *cp;
    cp++;
    ret = fread(cp, 1, (int)nbytes-1, fp);
    if (ret != nbytes-1) {
	fprintf(stderr, "%s: bad read got %d wanted %d\n", Progname, ret,
	    nbytes-1);
	return -1;
    }
    fclose(fp);

    ret = sc_cris_unpack(buf, &c1, SC_CAM2);
    if (ret) {
	fprintf(stderr, "%s: bad return = %d\n", ret);
	return -1;
    }

    sc_cris_blob_sort(&c1, &c2);

#ifndef NOTDEF
    for (i=0; i<c2.nblobs; i++) {
	if (c2.hodo[i].x != hodo[i].x || c2.hodo[i].y != hodo[i].y ||
		c2.hodo[i].I != hodo[i].I) {
	    fprintf(stderr, "%s: bad hodo value below (i=%d)\n", Progname, i);
	    fprintf(stderr, "\tx was %d, wanted %d\n", 
	    	c2.hodo[i].x, hodo[i].x);
	    fprintf(stderr, "\ty was %d, wanted %d\n", 
	    	c2.hodo[i].y, hodo[i].y);
	    fprintf(stderr, "\tI was %d, wanted %d\n", 
	    	c2.hodo[i].I, hodo[i].I);
	    return -1;
	}
    }

#else
    for (i=0; i<c2.nblobs; i++) {
	printf("\t%d,\t%d,\t%d,\n", c2.hodo[i].x, c2.hodo[i].y,
	    c2.hodo[i].I);
    }
#endif

    return 0;
}
