/* t_cris_coords.c - sc_cris_coords() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

float val[] = {
    84.00,  205.00, 83.00,  204.00, 83.00,  204.00,

};

int
main(int argc, char *argv[])
{
    u_char buf[1000];
    struct sc_crisEvt c;
    struct sc_softCoords coords;
    u_char *cp;
    char filename[100];
    FILE *fp;
    int i;
    u_char nbytes;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/cris.normal");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

    cp = buf;
    ret = fread(cp, 1, 1, fp);
    if (ret != 1) {
	fprintf(stderr, "%s: bad first read\n", Progname);
	return -1;
    }

    nbytes = *cp;
    cp++;
    ret = fread(cp, 1, (int)nbytes-1, fp);
    if (ret != nbytes-1) {
	fprintf(stderr, "%s: bad read got %d wanted %d\n", Progname, ret,
	    nbytes-1);
	return -1;
    }
    fclose(fp);

    (void)sc_blob_select_method(1);
    ret = sc_cris_unpack(buf, &c, SC_CAM2);
    if (ret) {
	fprintf(stderr, "%s: bad return = %d\n", ret);
	return -1;
    }

    (void)sc_blob_select_method(1);
    ret = sc_cris_coords(&c, &coords, SC_CAM2);

#ifndef NOTDEF
    if (ceil(coords.x1) != val[0] || ceil(coords.y1) != val[1] || 
	    ceil(coords.x2) != val[2] || ceil(coords.y2) != val[3] || 
	    ceil(coords.x3) != val[4] || ceil(coords.y3) != val[5]) {
	fprintf(stderr, "%s: something wrong:\n", Progname);
	fprintf(stderr, "x1: wanted %.2f, got %.2f\n", 
	    val[0], ceil(coords.x1));
	fprintf(stderr, "y1: wanted %.2f, got %.2f\n", 
	    val[1], ceil(coords.y1));
	fprintf(stderr, "x2: wanted %.2f, got %.2f\n", 
	    val[2], ceil(coords.x2));
	fprintf(stderr, "y2: wanted %.2f, got %.2f\n", 
	    val[3], ceil(coords.y2));
	fprintf(stderr, "x3: wanted %.2f, got %.2f\n", 
	    val[4], ceil(coords.x3));
	fprintf(stderr, "y3: wanted %.2f, got %.2f\n", 
	    val[5], ceil(coords.y3));
	return -1;
    }
#else
    printf("\n\t%.2f,\t%.2f,\t%.2f,\t%.2f,\t%.2f,\t%.2f,\n",
    	ceil(coords.x1), ceil(coords.y1), ceil(coords.x2), 
	ceil(coords.y2), ceil(coords.x3), ceil(coords.y3));
#endif

    return 0;
}
