/* t_cris_det_name.c - sc_cris_det_name() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>


struct res {
    int ret;
    char s[10];
} results[] = {
    -1, "(none)",
    0, "E1A",
    0, "E1B",
    0, "E2AB",
    0, "E3AB",
    0, "E4AB",
    0, "E5AB",
    0, "E6AB",
    0, "E7AB",
    0, "E8AB",
    0, "E9AB",
    0, "G2AB",
    0, "G3AB",
    0, "G4AB",
    0, "G5AB",
    0, "G6AB",
    0, "G7AB",
    0, "E1C",
    0, "E1D",
    0, "E2CD",
    0, "E3CD",
    0, "E4CD",
    0, "E5CD",
    0, "E6CD",
    0, "E7CD",
    0, "E8CD",
    0, "E9CD",
    0, "G2CD",
    0, "G3CD",
    0, "G4CD",
    0, "G5CD",
    0, "G6CD",
    0, "G7CD",
    -1, "(none)",
};

char *Progname;

int
main(int argc, char *argv[])
{
    int goterr = 0;
    int i;
    int ret;
    char s[100];

    Progname = argv[0];

#ifndef NOTDEF
    for (i = -1; i < SC_CRIS_NDET + 1; i++) {
	ret = sc_cris_det_name(i, s);
	if (strcmp(s, results[i+1].s) != 0) {
	    fprintf(stderr,"%s: detector %d was %s, should be %s\n",
	    	Progname, i, s, results[i+1].s);
	    goterr++;
	}
	if (ret != results[i+1].ret) {
	    fprintf(stderr,"%s: detector %d gave result %d, should be %d\n",
	    	Progname, i, ret, results[i+1].ret);
	    goterr++;
	}
    }

    if (goterr) {
	return -1;
    }

#else
    for (i = -1; i<SC_CRIS_NDET+1; i++) {
	ret = sc_cris_det_name(i, s);
	printf("%d, \"%s\",\n", ret, s);
    }
#endif

    return 0;
}
