/* L1_next_diag */

#ifdef NO_LEVEL1
int
main(void)
{
    return 0;
}

#else /* NO_LEVEL1 */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

#define AMT 8
u_short Res[AMT] = {
    89, 0, 90, 105, 108, 111, 112, 115
};

int
main(int argc, char *argv[])
{
    int day1996;
    int dbg = 0;
    struct sc_diagEvt e;
    int i;
    struct sc_crisRawEvent r;
    long res[AMT];
    int ret;

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    sc_L1_set_day(901, 902);

    ret = sc_L1_next_diag(&e, &day1996);
    if (ret == -1) {
	fprintf(stderr, "bad ret\n");
	return -1;
    }

    sc_cris_unpack_stack(&e.s, &r);
    res[0] = r.ab.e1_0;
    res[1] = r.ab.e1_1;
    res[2] = r.ab.e2;
    res[3] = r.ab.e3;
    res[4] = r.ab.e4;
    res[5] = r.ab.e5;
    res[6] = r.ab.e6;
    res[7] = r.ab.e7;

    if (!dbg) {
	ret = 0;
	for (i=0; i<AMT; i++) {
	    ret += checkit(Res[i], res[i], "stack", i);
	}
	
	if (ret) {
	    return -1;
	}
	
    } else {
	printf("#define AMT %d\n", AMT);
	printf("u_short Res[AMT] = {\n");
	printf("%u, %u, %u, %u, %u, %u, %u, %u", 
	    r.ab.e1_0, r.ab.e1_1, r.ab.e2, r.ab.e3,
	    r.ab.e4, r.ab.e5, r.ab.e6, r.ab.e7);
	printf("\n};\n");
    }

    return 0;
}

int
checkit(want, got, phrase, i)
    u_short want, got;
    char *phrase;
    int i;
{
    if (want == got) {
	return 0;
    } else {
	fprintf(stderr," %s: got %u, wanted %u (%d)\n", 
	    phrase, got, want, i);
	return 1;
    }
}

#endif /* NO_LEVEL1 */
