/* t_fiber_to_real.c - sc_fiber_to_real() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

struct {
    int cam;
    int layer;
    float xf;
    float yf;
    float xm;
    float ym;
} vals[] = {
    1,  1,      7000.00,        5500.00,        160.00, 96.00,
    1,  1,      6700.00,        5600.00,        97.00,  119.00,
    1,  2,      3900.00,        2800.00,        7.00,   42.00,
    1,  2,      4900.00,        3000.00,        220.00, 83.00,
    1,  3,      1700.00,        100.00,         93.00,  26.00,
    1,  3,      2000.00,        1200.00,        153.00, 251.00,
    2,  1,      6400.00,        5400.00,        35.00,  72.00,
    2,  1,      6800.00,        5900.00,        117.00, 187.00,
    2,  2,      4000.00,        3000.00,        28.00,  81.00,
    2,  2,      5100.00,        3800.00,        264.00, 246.00,
    2,  3,      1500.00,        250.00,         53.00,  56.00,
    2,  3,      2400.00,        1200.00,        231.00, 251.00,
};

#define NVALS (sizeof(vals)/sizeof(vals[0]))

int
main(int argc, char *argv[])
{
    int i;
    int ret;
    float x, y;

    Progname = argv[0];

    for (i=0; i<NVALS; i++) {
	ret = sc_fiber_to_real(vals[i].cam, vals[i].layer, vals[i].xf,
	    vals[i].yf, &x, &y);
#ifndef NOTDEF
	if (ret) {
	    fprintf(stderr,"%s: (i=%d) bad value:\n", Progname, i);
	    return -1;
	}
	if (ceil(x) != vals[i].xm || ceil(y) != vals[i].ym) {
	    fprintf(stderr, "%s: (i=%d) one of these is wrong\n", Progname, i);
	    fprintf(stderr, "\tx: got %.2f, but wanted %.2f\n", 
	    	ceil(x), vals[i].xm);
	    fprintf(stderr, "\ty: got %.2f, but wanted %.2f\n", 
	    	ceil(y), vals[i].ym);
	    return -1;
	}
#else
	if (ret) {
	    fprintf(stderr,"%s: (i=%d) bad return:\n", Progname, i);
	    continue;
	}
	printf("    %d,\t%d,\t%.2f,\t%.2f,\t%.2f,\t%.2f,\n", 
	    vals[i].cam, vals[i].layer, vals[i].xf, vals[i].yf,
	    ceil(x), ceil(y));
#endif
    }

    return 0;
}
