/* hodo_layers_test.c - check the hodo layers macros */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct {
    int layer;
    int isx;
    int isy;
    int h1;
    int h2;
    int h3;
    int h;
} results[] = {
    0, 0, 1, 0, 0, 1, 3,	/* SC_Y3 */
    1, 1, 0, 0, 0, 1, 3,	/* SC_X3 */
    2, 0, 1, 0, 1, 0, 2,	/* SC_Y2 */
    3, 1, 0, 0, 1, 0, 2,	/* SC_X2 */
    4, 0, 1, 1, 0, 0, 1,	/* SC_Y1 */
    5, 1, 0, 1, 0, 0, 1,	/* SC_X1 */
};

int
main(int argc, char *argv[])
{
    int i;
    int ret = 0;

    Progname = argv[0];

#ifndef NOTDEF
    for (i=0; i<SC_NLAYERS; i++) {
	if (i != results[i].layer ||
		IS_X_LAYER(i) != results[i].isx ||
		IS_Y_LAYER(i) != results[i].isy ||
		IS_HODO_LAYER_1(i) != results[i].h1 ||
		IS_HODO_LAYER_2(i) != results[i].h2 ||
		IS_HODO_LAYER_3(i) != results[i].h3 ||
		HODO_LAYER(i) != results[i].h) {
	    ret = -1;
	    fprintf(stderr,"hodo_layer_test: something wrong here:\n");
	    fprintf(stderr,"\nlayer\tisx\tisy\th1\th2\th3\th\n");
	    fprintf(stderr,"%d\t%d\t%d\t%d\t%d\t%d\t%d\tGOT\n", 
		i, IS_X_LAYER(i), IS_Y_LAYER(i), IS_HODO_LAYER_1(i),
		IS_HODO_LAYER_2(i), IS_HODO_LAYER_3(i), HODO_LAYER(i));
	    fprintf(stderr,"%d\t%d\t%d\t%d\t%d\t%d\t%d\tWANTED\n\n", 
		results[i].layer, results[i].isx, results[i].isy,
		results[i].h1, results[i].h2, results[i].h3, results[i].h);
	}
    }
#else
    for (i=0; i<SC_NLAYERS; i++) {
	printf("%d, %d, %d, %d, %d, %d, %d,\n", 
	    i, IS_X_LAYER(i), IS_Y_LAYER(i), IS_HODO_LAYER_1(i),
	    IS_HODO_LAYER_2(i), IS_HODO_LAYER_3(i), HODO_LAYER(i));
    }
#endif

    return ret;
}
