/* t_lu_tab.c - sc_lu_tab(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct {
    int tab;
    int layer;
} tablayer[] = {
    -1, SC_NOLAYER,
    0, 0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 0, 8, 0, 9, 0,
    10, 0, 11, 1, 12, 1, 13, 1, 14, 1, 15, 1, 16, 1, 17, 1, 18, 1, 19, 1,
    20, 1, 21, 1, 22, 2, 23, 2, 24, 2, 25, 2, 26, 2, 27, 2, 28, 2, 29, 2,
    30, 2, 31, 2, 32, 2, 33, 3, 34, 3, 35, 3, 36, 3, 37, 3, 38, 3, 39, 3,
    40, 3, 41, 3, 42, 3, 43, 3, 44, 4, 45, 4, 46, 4, 47, 4, 48, 4, 49, 4,
    50, 4, 51, 4, 52, 4, 53, 4, 54, 4, 55, 5, 56, 5, 57, 5, 58, 5, 59, 5,
    60, 5, 61, 5, 62, 5, 63, 5, 64, 5, 65, 5,
    66, SC_NOLAYER,
};

int 
main(int argc, char *argv[])
{
    int i;
    int id;
    int ret;

    Progname = argv[0];

    ret = sc_lu_read_table("../Maps/lut.cam2.msu1195");
    if (ret != 0) {
	fprintf(stderr, "%s: sc_lu_read_table (A) ret was %d, wanted 0\n",
	    Progname, ret);
	return -1;
    }
    id = ret;

    for (i=0; i<SC_NTABS; i++) {
	ret = sc_lu_layer(id, tablayer[i].tab);
	if (ret != tablayer[i].layer) {
	    fprintf(stderr,"%s: bad layer value:\n", Progname);
	    fprintf(stderr,"\tfor tab=%d, wanted layer=%d, got layer=%d\n",
		tablayer[i].tab, tablayer[i].layer, ret);
	    return -1;
	}
#ifdef NOTDEF
	printf("    %d, %d,\n", i, ret);
#endif
    }

    return 0;
}
