/* t_lu_pos.c - sc_lu_pos(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

struct {
    double x;
    double y;
    int tab;
    int layer;
    double pos;
} vals[] = {
    100.00, 100.00, 27,     2,      38500.00,
    200.00, 100.00, 27,     2,      40100.00,
    300.00, 105.00, 28,     2,      49253.00,
    400.00, 119.00, 33,     3,      1905.00,
    500.00, 150.00, 43,     3,      76055.00,
    500.00, 220.00, 64,     5,      69002.00,
    500.00, 20.00,  2,      0,      22320.00,
    400.00, 150.00, 43,     3,      77655.00,
};

#define NVALS (sizeof(vals)/sizeof(vals[0]))

int 
main(int argc, char *argv[])
{
    double d;
    int i;
    int id;
    double pos;
    int ret;

    Progname = argv[0];

    ret = sc_lu_read_table("../Maps/lut.cam2.msu1195");
    if (ret != 0) {
	fprintf(stderr, "%s: sc_lu_read_table (A) ret was %d, wanted 0\n",
	    Progname, ret);
	return -1;
    }
    id = ret;

    for (i=0; i<NVALS; i++) {
	ret = sc_lu_pos(id, &pos, vals[i].layer, vals[i].tab, vals[i].x,
	    vals[i].y);
	if (ret) {
	    fprintf(stderr,"%s: sc_lu_pos bad return = %d (i=%d)\n", 
	    	Progname, ret, i);
	    return -1;
	}
	d = ceil(pos);
#ifndef NOTDEF
	if (vals[i].pos != d) {
	    fprintf(stderr,"%s: (i=%d) wanted pos=%f but got %f\n",
	    	Progname, i, vals[i].pos, d);
	    return -1;
	}
#else
	printf("%.2f,\t%.2f,\t%d,\t%d,\t%.2f\n", vals[i].x, vals[i].y,
	    vals[i].tab, vals[i].layer, d);
#endif
    }

    return 0;
}
