/* t_lu_report_layer.c - sc_lu_report_layer(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct {
    int layer;
    char text[50];
} vals[] = {
    -1,     "SC_NOLAYER",
    SC_Y3,  "Y3",
    SC_X3,  "X3",
    SC_Y2,  "Y2",
    SC_X2,  "X2",
    SC_Y1,  "Y1",
    SC_X1,  "X1",
    6,      "Unknown layer = 6 (max is 5)",
};

#define NVALS (sizeof(vals)/sizeof(vals[0]))

int
main(int argc, char *argv[])
{
    int i;
    int id;
    int ret;
    char *cp;

    Progname = argv[0];

    ret = sc_lu_read_table("../Maps/lut.cam2.msu1195");
    if (ret != 0) {
	fprintf(stderr, "%s: sc_lu_read_table (A) ret was %d, wanted 0\n",
	    Progname, ret);
	return -1;
    }
    id = ret;

    for (i=0; i<NVALS; i++) {
	cp = sc_lu_report_layer(id, vals[i].layer);
#ifndef NOTDEF
	if (!SOFT_STREQ(vals[i].text, cp)) {
	    fprintf(stderr, "%s: (i=%d) bad result\n", Progname, i);
	    fprintf(stderr, "\twanted: %s\n", vals[i].text);
	    fprintf(stderr, "\tgot:    %s\n", cp);
	    return -1;
	}
#else
	printf("\t%d,\t\"%s\",\n", vals[i].layer, cp);
#endif
    }

    return 0;
}
