/* t_lu_tab.c - sc_lu_tab(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct {
    double x;
    double y;
    int tab;
} vals[] = {
    0.0,        0.0,    0,
    0.0,        100.0,  26,
    50.0,       40.0,   7,
    250.0,      40.0,   7,
    50.0,       60.0,   14,
    400.0,      60.0,   14,
    57.0,       122.0,  34,
    433.0,      122.0,  34,
    40.0,       240.0,  65,
    240.0,      240.0,  65,
    300.0,      0.0,    0,
    300.0,      300.0,  65,
};

#define NVALS (sizeof(vals)/sizeof(vals[0]))

int
main(int argc, char *argv[])
{
    int i;
    int id;
    int ret;

    Progname = argv[0];

    ret = sc_lu_read_table("../Maps/lut.cam2.msu1195");
    if (ret != 0) {
	fprintf(stderr, "%s: sc_lu_read_table (A) ret was %d, wanted 0\n",
	    Progname, ret);
	return -1;
    }
    id = ret;

    for (i=0; i<NVALS; i++) {
	ret = sc_lu_tab(id, vals[i].x, vals[i].y);
	if (ret != vals[i].tab) {
	    fprintf(stderr,"%s: bad tab value:\n", Progname);
	    fprintf(stderr,"\tfor x=%.1f y=%.2f got tab=%d, wanted tab=%d\n",
	    	vals[i].x, vals[i].y, ret, vals[i].tab);
	    return -1;
	}
#ifdef NOTDEF
	printf("    %.1f,\t%.1f,\t%d,\n", vals[i].x, vals[i].y, ret);
#endif
    }

    return 0;
}
