/* t_msu_blobify.c - sc_msu_blobify(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;
int segres[] = {8, 39, 45, 2, 6, 5, 5, 4, 5, 4, 8};

int
main(int argc, char *argv[])
{
    struct sc_msuEvt e;
    double Fx_cen[SC_MSU_MAXBLOBS];
    double Fy_cen[SC_MSU_MAXBLOBS];
    int gotevt = 0;
    int i;
    FILE *ifp;
    int ret;
    long blob_int[SC_MSU_MAXBLOBS];
    int blob_npix;
    char errormesg[1000];
    int pix_per_blob[SC_MSU_MAXBLOBS];
    int x_cen[SC_MSU_MAXBLOBS], y_cen[SC_MSU_MAXBLOBS];
    int totpix;

    int seg_blob[SC_MSU_MAXBLOBS];
    int seg_blobtot;
    int seg_nblob;
    int seg_tot;

    Progname = argv[0];

    ifp = fopen("Input/msu.200000", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/msu.200000' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    ret = sc_msu_init(ifp, NULL, 0, Progname);
    if (ret) {
	fprintf(stderr, "%s says:\n", Progname);
	fprintf(stderr, 
	 "sc_msu_init(ifp, NULL, 0, %s) returned %d (wanted 0)\n",
	    Progname, ret);
	return -1;
    }

    sc_blob_segments(&seg_nblob, seg_blob, &seg_blobtot, &seg_tot);
#ifndef NOTDEF
    if (seg_nblob != 0) {
	fprintf(stderr,"seg_nblob was %d, not 0\n");
	return -1;
    }
#else
    printf("\nseg nblobs = %d;\n", seg_nblob); 
#endif


    while (sc_msu_next_evt(&e) == 0) {
	if (e.abs == 200075) {
	    gotevt = 1;
	    ret = sc_msu_blobify(&e, x_cen, y_cen, errormesg, NULL,
	    	&blob_npix, blob_int, pix_per_blob, 5, Fx_cen, Fy_cen, 2);
	    totpix = sc_blob_totpix();
	    sc_blob_segments(&seg_nblob, seg_blob, &seg_blobtot, &seg_tot);
#ifndef NOTDEF
	    if (seg_nblob != segres[0]) {
		fprintf(stderr, "segment nblobs was %d, should be %d\n",
		    seg_nblob, segres[0]);
		return -1;
	    }
	    if (seg_blobtot != segres[1]) {
		fprintf(stderr, "segment total was %d, should be %d\n",
		    seg_tot, segres[1]);
		return -1;
	    }
	    if (seg_tot != segres[2]) {
		fprintf(stderr, "segment total was %d, should be %d\n",
		    seg_tot, segres[2]);
		return -1;
	    }
	    for(i=0; i<seg_nblob; i++) {
		if (seg_blob[i] != segres[i+3]) {
		    fprintf(stderr, "seg for blob %d was %d, should be %d\n",
			i, seg_blob[i], segres[i+3]);
		    return -1;
		}
	    }
#else
	    printf("int segres[] = {%d, ", seg_nblob);
	    printf("%d, ", seg_blobtot);
	    printf("%d", seg_tot);
	    for (i=0; i<seg_nblob; i++) {
		printf(", %d", seg_blob[i]);
	    }
	    printf("};\n");
#endif

	}
    }

    if (!gotevt) {
	fprintf(stderr,"%s: never got event 200075!\n");
	return -1;
    }

    return 0;
}
