/* t_msu_blob_sort.c - sc_msu_blob_sort(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct {
    u_short x;
    u_short y;
    u_long I;
} vals[] = {
	381,    218,    405,
        417,    68,     364,
        367,    32,     291,
        356,    171,    249,
        235,    142,    212,
        199,    218,    203,
        358,    100,    142,
        360,    176,    114,
};

int
main(int argc, char *argv[])
{
    struct sc_msuEvt e;
    struct sc_msuEvt e2;
    double Fx_cen[SC_MSU_MAXBLOBS];
    double Fy_cen[SC_MSU_MAXBLOBS];
    int gotevt = 0;
    int i;
    FILE *ifp;
    int ret;
    long blob_int[SC_MSU_MAXBLOBS];
    int blob_npix;
    char errormesg[1000];
    int pix_per_blob[SC_MSU_MAXBLOBS];
    int x_cen[SC_MSU_MAXBLOBS], y_cen[SC_MSU_MAXBLOBS];

    Progname = argv[0];

    ifp = fopen("Input/msu.200000", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/msu.200000' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    ret = sc_msu_init(ifp, NULL, 0, Progname);
    if (ret) {
	fprintf(stderr, "%s says:\n", Progname);
	fprintf(stderr, 
	 "sc_msu_init(ifp, NULL, 0, %s) returned %d (wanted 0)\n",
	    Progname, ret);
	return -1;
    }

    while (sc_msu_next_evt(&e) == 0) {
	if (e.abs == 200055) {
	    gotevt = 1;
	    sc_msu_blob_sort(&e, &e2);
#ifndef NOTDEF
	    for (i=0; i<e2.nblobsb; i++) {
		if (e2.blobxb[i] != vals[i].x || e2.blobyb[i] != vals[i].y ||
			e2.blobIb[i] != vals[i].I) {
		    fprintf(stderr, "%s: one the following is wrong (i=%d)\n",
			Progname, i);
		    fprintf(stderr, "\tx: want %d, got %d\n", 
		    	vals[i].x, e2.blobxb[i]);
		    fprintf(stderr, "\ty: want %d, got %d\n", 
		    	vals[i].y, e2.blobyb[i]);
		    fprintf(stderr, "\tI: want %d, got %d\n", 
		    	vals[i].I, e2.blobIb[i]);
		    return -1;
		}
	    }
#else
	    for (i=0; i<e2.nblobsb; i++) {
		printf("\t%d,\t%d,\t%ld,\n", e2.blobxb[i], e2.blobyb[i], 
		    e2.blobIb[i]);
	    }
#endif
	}
    }

    if (!gotevt) {
	fprintf(stderr,"%s: never got event 200055!\n");
	return -1;
    }

    return 0;
}
