/* t_msu_next_evt.c - sc_msu_next_evt(). Just makes sure it read the right
 * number of events. Check one data item (vidsize of evt 200058 (chosen
 * arbitrarily). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    struct sc_msuEvt e;
    long endval;
    int first = 1;
    FILE *ifp;
    long startval;
    int ret;
    long vidsize;

    Progname = argv[0];

    /* make sure it barfs if we don't initialize it */
    ret = sc_msu_next_evt(&e);
    if (ret != -1) {
	fprintf(stderr,
	    "%s: sc_msu_next_evt() should have returned -1, but gave %d\n", 
	    Progname, ret);
	return -1;
    }

    ifp = fopen("Input/msu.200000", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/msu.200000' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    ret = sc_msu_init(ifp, NULL, 0, Progname);
    if (ret) {
	fprintf(stderr, "%s says:\n", Progname);
	fprintf(stderr, 
	 "sc_msu_init(ifp, NULL, 0, %s) returned %d (wanted 0)\n",
	    Progname, ret);
	return -1;
    }

    while (sc_msu_next_evt(&e) == 0) {
	if (first) {
	    startval = e.abs;
	    first = 0;
	}
	if (e.abs == 200058) {
	    vidsize = e.vidsize;
	}
    }
    endval = e.abs;

    if (startval != 200000L || endval != 200100) {
	fprintf(stderr, "%s: startval or endval bad\n", Progname);
	fprintf(stderr, "\tstartval was %ld, should have been 200000\n",
	    startval);
	fprintf(stderr, "\tendval was %ld, should have been 200100\n",
	    endval);
	return -1;
    }

    if (vidsize != 332L) {
	fprintf(stderr, "%s: vidsize of evt 200058 incorrect\n", Progname);
	fprintf(stderr, "\tvidsize was %ld, should have been 332\n",
	    vidsize);
	return -1;
    }
	
    return 0;
}
