/* t_msu_next_pix.c - sc_msu_next_pix(). A few tests on an arbitrarily
 * picked event (no. 200025). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

int
main(int argc, char *argv[])
{
    struct sc_msuEvt e;
    int i;
    FILE *ifp;
    int ret;
    u_short x, y, val;

    Progname = argv[0];

    /* make sure it barfs if we don't initialize it */
    ret = sc_msu_next_pix(&x, &y, &val, SC_CAM1);
    if (ret != -1) {
	fprintf(stderr,
	    "%s: sc_msu_next_evt() should have returned -1, but gave %d\n", 
	    Progname, ret);
	return -1;
    }

    ifp = fopen("Input/msu.200000", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/msu.200000' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    ret = sc_msu_init(ifp, NULL, 0, Progname);
    if (ret) {
	fprintf(stderr, "%s says:\n", Progname);
	fprintf(stderr, 
	 "sc_msu_init(ifp, NULL, 0, %s) returned %d (wanted 0)\n",
	    Progname, ret);
	return -1;
    }

    while (sc_msu_next_evt(&e) == 0) {
	if (e.abs == 200025) {
	    for (i=0; i<25; i++) {
		ret = sc_msu_next_pix(&x, &y, &val, SC_CAM2);
		if (ret != 1) {
		    fprintf(stderr, 
		    	"%s: bad ret from sc_msu_next_pix (want 1, got %d)\n",
			Progname, ret);
		    return -1;
		}
	    }
	    if (x != 64 || y != 35 || val != 171) {
	    	fprintf(stderr, "%s: x, y, or val was bad\n", Progname);
		fprintf(stderr, "\twanted   x=64 (got %u)\n", x);
		fprintf(stderr, "\twanted   y=35 (got %u)\n", y);
		fprintf(stderr, "\twanted val=171 (got %u)\n", val);
		return -1;
	    }
	    break;
	}
    }

    return 0;
}
