/* t_raw_blob_sort.c - sc_raw_blob_sort(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct {
    int x;
    int y;
    long I;
} vals[] = {
        906,    344,    9972,
        192,    441,    8198,
        796,    287,    5807,
        943,    60,     4389,
        319,    134,    3593,
        807,    64,     3565,
        906,    201,    3316,
        160,    144,    2846,
        242,    66,     2691,
        335,    139,    1366,
        294,    135,    1262,
};

int
main(int argc, char *argv[])
{
    struct sc_msuEvt e;
    double Fx_cen[SC_MSU_MAXBLOBS];
    double Fy_cen[SC_MSU_MAXBLOBS];
    int gotevt = 0;
    int i;
    FILE *ifp;
    int ret;
    long blob_int[SC_MSU_MAXBLOBS];
    int blob_npix;
    char errormesg[1000];
    int pix_per_blob[SC_MSU_MAXBLOBS];
    int x_cen[SC_MSU_MAXBLOBS], y_cen[SC_MSU_MAXBLOBS];
    int x2[SC_MSU_MAXBLOBS], y2[SC_MSU_MAXBLOBS];
    long I2[SC_MSU_MAXBLOBS];

    Progname = argv[0];

    ifp = fopen("Input/msu.200000", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/msu.200000' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    ret = sc_msu_init(ifp, NULL, 0, Progname);
    if (ret) {
	fprintf(stderr, "%s says:\n", Progname);
	fprintf(stderr, 
	 "sc_msu_init(ifp, NULL, 0, %s) returned %d (wanted 0)\n",
	    Progname, ret);
	return -1;
    }

    while (sc_msu_next_evt(&e) == 0) {
	if (e.abs == 200085) {
	    gotevt = 1;
	    ret = sc_msu_blobify(&e, x_cen, y_cen, errormesg, NULL,
	    	&blob_npix, blob_int, pix_per_blob, 5, Fx_cen, Fy_cen, SC_CAM2);
	    sc_raw_blob_sort(x_cen, y_cen, blob_int, x2, y2, I2, ret);
#ifndef NOTDEF
	    for (i=0; i<ret; i++) {
		if (x2[i] != vals[i].x || y2[i] != vals[i].y || I2[i] !=
			vals[i].I) {
		    fprintf(stderr, "%s: something is wrong below (i=%d)\n",
			Progname, i);
		    fprintf(stderr, "x: wanted %d, got %d\n", vals[i].x,
			x2[i]);
		    fprintf(stderr, "y: wanted %d, got %d\n", vals[i].y,
			y2[i]);
		    fprintf(stderr, "I: wanted %d, got %d\n", vals[i].I,
			I2[i]);
		    return -1;
		}
	    }
#else
	    printf("\nraw\n");
	    for (i=0; i<ret; i++) {
		printf("\t%d,\t%d,\t%ld,\n", x_cen[i], y_cen[i],
		    blob_int[i]);
	    }
	    printf("\nsorted\n");
	    for (i=0; i<ret; i++) {
		printf("\t%d,\t%d,\t%ld,\n", x2[i], y2[i], I2[i]);
	    }
#endif
	}
    }

    if (!gotevt) {
	fprintf(stderr,"%s: never got event 200075!\n");
	return -1;
    }

    return 0;
}
