/* t_raw_coords_cam.c - sc_raw_coords_cam(). */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <math.h>
#include <softcris.h>

char *Progname;

float val[] = {
    239.00, 149.00, 200.00, 149.00, 168.00, 149.00,
};

int
main(int argc, char *argv[])
{
    struct sc_softCoords coords;
    int dbg = 0;
    struct sc_msuEvt e;
    double Fx_cen[SC_MSU_MAXBLOBS];
    double Fy_cen[SC_MSU_MAXBLOBS];
    int gotevt = 0;
    int i;
    FILE *ifp;
    int ret;
    long blob_int[SC_MSU_MAXBLOBS];
    int blob_npix;
    char errormesg[1000];
    int pix_per_blob[SC_MSU_MAXBLOBS];
    int x_cen[SC_MSU_MAXBLOBS], y_cen[SC_MSU_MAXBLOBS];

    if (argc > 1) {
	if (strcmp(argv[1], "-d") == 0) {
	    dbg = 1;
	}
    }

    Progname = argv[0];

    ifp = fopen("Input/msu.200000", "rb");
    if (ifp == (FILE *)NULL) {
	fprintf(stderr, "%s: can't fopen 'Input/msu.200000' (%s)\n",
	    Progname, strerror(errno));
	return -1;
    }

    sc_traj_select_method(4);

    ret = sc_msu_init(ifp, NULL, 0, Progname);
    if (ret) {
	fprintf(stderr, "%s says:\n", Progname);
	fprintf(stderr, 
	 "sc_msu_init(ifp, NULL, 0, %s) returned %d (wanted 0)\n",
	    Progname, ret);
	return -1;
    }

    while (sc_msu_next_evt(&e) == 0) {
	if (e.abs == 200072) {
	    gotevt = 1;
	    ret = sc_msu_blobify(&e, x_cen, y_cen, errormesg, NULL,
	    	&blob_npix, blob_int, pix_per_blob, 5, Fx_cen, Fy_cen, SC_CAM2);

	    sc_raw_coords_cam(x_cen, y_cen, blob_int, ret, &coords);
	    
	    if (!dbg) {
		if (ceil(coords.x1) != val[0] || ceil(coords.y1) != val[1] || 
			ceil(coords.x2) != val[2] || 
			ceil(coords.y2) != val[3] || 
			ceil(coords.x3) != val[4] || 
			ceil(coords.y3) != val[5]) {
		    fprintf(stderr, "%s: something wrong:\n", Progname);
		    fprintf(stderr, "x1: wanted %.2f, got %.2f\n", 
			val[0], ceil(coords.x1));
		    fprintf(stderr, "y1: wanted %.2f, got %.2f\n", 
			val[1], ceil(coords.y1));
		    fprintf(stderr, "x2: wanted %.2f, got %.2f\n", 
			val[2], ceil(coords.x2));
		    fprintf(stderr, "y2: wanted %.2f, got %.2f\n", 
			val[3], ceil(coords.y2));
		    fprintf(stderr, "x3: wanted %.2f, got %.2f\n", 
			val[4], ceil(coords.x3));
		    fprintf(stderr, "y3: wanted %.2f, got %.2f\n", 
			val[5], ceil(coords.y3));
		    return -1;
		}
	    } else {
		printf("\n\t%.2f,\t%.2f,\t%.2f,\t%.2f,\t%.2f,\t%.2f,\n",
		    ceil(coords.x1), ceil(coords.y1), ceil(coords.x2), 
		    ceil(coords.y2), ceil(coords.x3), ceil(coords.y3));
	    }
	}
    }

    if (!gotevt) {
	fprintf(stderr,"%s: never got event 200075!\n");
	return -1;
    }

    return 0;
}
