/* t_soft_img_convert.c - sc_soft_img_convert() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <stdlib.h>	/* malloc */
#include <softcris.h>

char *Progname;

void chkval(u_short *p, int i, u_short val);

int
main(int argc, char *argv[])
{
    size_t amt;
    u_short i;
    u_short *p;
    u_short *pp;
    long size;
    u_short v[1000];

    Progname = argv[0];

    amt = SC_SOFT_HEIGHT * SC_SOFT_WIDTH;
    p = calloc(amt, sizeof(u_short));
    if (p == (u_short *)NULL) {
	fprintf(stderr, "%s: can't malloc (%s)\n", Progname,
	    strerror(errno));
	return -1;
    }

    pp = p + 20;
    for (i=0; i<10; i++) {
	*pp++ = i;
    }

    pp =  p + 200; 
    for (i=0; i<10; i++) {
	*pp++ = (i * 10) + 5;
    }

    size = sc_soft_img_convert(p, v);

    if (size != 50) {
	fprintf(stderr, "%s: size wrong (wanted 50, got %ld)\n",
	    Progname, size);
	return -1;
    }

    chkval(v, 0, 0x1000);
    chkval(v, 1, 0x1400);
    chkval(v, 2, 0x1815);
    chkval(v, 3, 0x0001);
    chkval(v, 8, 0x0006);
    chkval(v, 13, 0x18c8);
    chkval(v, 18, 0x002d);
    chkval(v, 24, 0x1c00);

    return 0;
}

void
chkval(p, i, v)
    u_short *p;
    int i;
    u_short v;
{
    if (*(p+i) != v) {
	fprintf(stderr, 
	    "%s: word at offset %d wrong (should be %04x, was %04x)\n", 
	    Progname, i, v, *(p+i));
	exit(-1);
    }
}
