/* next_minor_test.c - sc_tlm_next_minor() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

int timeofday[] = {
    7760838, 7760938, 7761038, 7761138, 7761238,
    7761338, 7761438, 7761538, 7761638, 7761738,
    7761838, 7761938, 7762038, 7762138, 7762238,
    7762338, 7762438, 7762538, 7762638, 7762738,
};

int
main(int argc, char *argv[])
{
    char filename[100];
    FILE *fp;
    int i, j, k;
    sc_crisSubset sb;
    struct sc_minorFrame m;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/2ace.norm");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

#ifndef NOTDEF
    for (k=0; k<20; k++) {
	ret = sc_tlm_next_minor(&m, fp);
	if (ret != 1) {
	    fprintf(stderr,"%s: bad next_minor: wanted 1 got %d (k=%d)\n",
	    	Progname, ret, k);
	    return -1;
	}
	sc_most_recent_cris_subset(&sb);
	if (sb.TimeOfDay != timeofday[k]) {
	    fprintf(stderr,"Bad time, wanted %d, got %d (k=%d)\n",
	    	timeofday[k], sb.TimeOfDay, k);
	    return -1;
	}
    }
#else
    printf("int timeofday[] = {\n");
    while (1) {
	ret = sc_tlm_next_minor(&m, fp);
	if (ret != 1) {
	    break;
	}
	sc_most_recent_cris_subset(&sb);
	printf("\t%d,\n", sb.TimeOfDay);
    }
    printf("};\n");
#endif

    return 0;
}
