/* next_minor_test.c - sc_tlm_next_minor() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct sc_crisHodoData h[] = {
        895, 18, 131072,
        66, 459, 65536,
        316, 455, 32768,
        534, 28, 24576,
        539, 453, 24576,
        305, 30, 16384,
        1011, 23, 12288,
        764, 28, 8192,
        81, 25, 6144,
        777, 453, 4096,
};

int
main(int argc, char *argv[])
{
    char filename[100];
    FILE *fp;
    int i, j, k;
    struct sc_crisEvt c;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/2ace.norm");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

#ifndef NOTDEF
    ret = sc_tlm_next_cris_evt(&c, fp);
    if (ret != 1) {
	fprintf(stderr,"%s: bad next_cris: wanted 1 got %d\n",
	    Progname, ret);
	return -1;
    }
    for (j=0; j<c.nblobs; j++) {
	if (c.hodo[j].x != h[j].x || c.hodo[j].y != h[j].y ||
		c.hodo[j].I != h[j].I) {
	    fprintf(stderr,"%s: (j=%d) one of these is wrong:\n",
		Progname, j);
	    fprintf(stderr,"\tx (got %d, want %d)\n", c.hodo[j].x, h[j].x);
	    fprintf(stderr,"\ty (got %d, want %d)\n", c.hodo[j].y, h[j].y);
	    fprintf(stderr,"\tI (got %d, want %d)\n", c.hodo[j].I, h[j].I);
	    return -1;
	}
    }
#else
    printf("\nstruct sc_crisHodoData h[] = {\n");
    while (1) {
	ret = sc_tlm_next_cris_evt(&c, fp);
	if (ret != 1) {
	    break;
	}
	for (j=0; j<c.nblobs; j++) {
	    printf("\t%d, %d, %u,\n", c.hodo[j].x,
		c.hodo[j].y, c.hodo[j].I);
	}
    }
    printf("};\n");
#endif

    return 0;
}
