/* next_minor_test.c - sc_tlm_next_minor() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct sc_crisHodoData h[] = {
        68, 458, 49152,
        313, 456, 32768,
        538, 453, 32768,
        305, 28, 24576,
        535, 28, 16384,
        761, 27, 8192,
        1013, 21, 8192,
        779, 453, 8192,
        832, 344, 6144,
        1041, 480, 3072,
        875, 409, 3072,
        954, 296, 2048,
        352, 249, 1536,
        816, 132, 1536,
        933, 310, 1024,
        137, 187, 768,
        674, 206, 768,
        157, 160, 192,
};

int
main(int argc, char *argv[])
{
    char filename[100];
    FILE *fp;
    int i, j, k;
    struct sc_diagEvt d;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/2ace.diag");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

#ifndef NOTDEF
    ret = sc_tlm_next_diag(&d, fp);
    if (ret != 1) {
	fprintf(stderr,"%s: bad next_diag: wanted 1 got %d\n",
	    Progname, ret);
	return -1;
    }
    if (d.e.nbytes != 123) {
	fprintf(stderr,"%s: bad nbytes. wanted 123, got %d\n",
	    Progname, d.e.nbytes);
	return -1;
    }

    for (j=0; j<d.e.nblobs; j++) {
	if (d.e.hodo[j].x != h[j].x || d.e.hodo[j].y != h[j].y ||
		d.e.hodo[j].I != h[j].I) {
	    fprintf(stderr,"%s: (j=%d) one of these is wrong:\n",
		Progname, j);
	    fprintf(stderr,"\tx (got %d, want %d)\n", d.e.hodo[j].x, h[j].x);
	    fprintf(stderr,"\ty (got %d, want %d)\n", d.e.hodo[j].y, h[j].y);
	    fprintf(stderr,"\tI (got %d, want %d)\n", d.e.hodo[j].I, h[j].I);
	    return -1;
	}
    }
#else
    ret = sc_tlm_next_diag(&d, fp);
    if (ret != 1) {
	fprintf(stderr, "OOPS! ret is not 1, but %d\n", ret);
	return -1;
    }
    printf("\nsize = %d\n", d.e.nbytes);
    printf("\nstruct sc_crisHodoData h[] = {\n");
    for (j=0; j<d.e.nblobs; j++) {
	printf("\t%d, %d, %u,\n", d.e.hodo[j].x,
	    d.e.hodo[j].y, d.e.hodo[j].I);
    }
    printf("};\n");
#endif

    return 0;
}
