/* next_minor_test.c - sc_tlm_next_minor() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct sc_crisHodoData h1[] = {
	68, 458, 49152,
	311, 455, 32768,
	535, 29, 24576,
	540, 453, 16384,
	304, 29, 16384,
	760, 27, 8192,
	1011, 22, 8192,
	779, 453, 4096,
	54, 473, 3072,
	764, 448, 2048,
	390, 318, 1024,
};

struct sc_crisHodoData h2[] = {
	70, 458, 49152,
	313, 456, 32768,
	536, 454, 32768,
	534, 29, 24576,
	305, 28, 16384,
	1011, 22, 8192,
	776, 455, 6144,
	79, 25, 4096,
	764, 26, 3072,
	298, 473, 2048,
};

int
main(int argc, char *argv[])
{
    char filename[100];
    FILE *fp;
    int i, j, k;
    struct sc_crisEvt c;
    struct sc_diagEvt d;
    int norm = 0;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/2ace.norm_diag");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

#ifndef NOTDEF
    for (k=0; k<100; k++) {
	ret = sc_tlm_next_evt(&c, &d, fp, &norm);
	if (ret != 1) {
	    fprintf(stderr,"%s: bad next_cris: wanted 1 got %d\n",
		Progname, ret);
	    return -1;
	}
	if (k == 1) {
	    if (norm) {
		fprintf(stderr,"%s: expected diag evt, but got norm\n",
		    Progname);
		return -1;
	    }
	    if (d.e.nbytes != 102) {
		fprintf(stderr,"%s: expected 102 bytes, but got %d\n",
		    Progname, d.e.nbytes);
		return -1;
	    }
	    for (j=0; j<d.e.nblobs; j++) {
		if (d.e.hodo[j].x != h1[j].x || d.e.hodo[j].y != h1[j].y ||
			d.e.hodo[j].I != h1[j].I) {
		    fprintf(stderr,"%s: (k=%d, j=%d) one of these is wrong:\n",
			Progname, k, j);
		    fprintf(stderr,"\tx (got %d, want %d)\n", 
		    	d.e.hodo[j].x, h1[j].x);
		    fprintf(stderr,"\ty (got %d, want %d)\n", 
		    	d.e.hodo[j].y, h1[j].y);
		    fprintf(stderr,"\tI (got %d, want %d)\n", 
		    	d.e.hodo[j].I, h1[j].I);
		    return -1;
		}
	    }
	} else if (k == 2) {
	    if (!norm) {
		fprintf(stderr,"%s: expected normal evt, but got diag\n",
		    Progname);
		return -1;
	    }
	    if (c.nbytes != 99) {
		fprintf(stderr,"%s: expected 99 bytes, but got %d\n",
		    Progname, c.nbytes);
		return -1;
	    }
	    for (j=0; j<c.nblobs; j++) {
		if (c.hodo[j].x != h2[j].x || c.hodo[j].y != h2[j].y ||
			c.hodo[j].I != h2[j].I) {
		    fprintf(stderr,"%s: (k=%d,j=%d) one of these is wrong:\n",
			Progname, k, j);
		    fprintf(stderr,"\tx (got %d, want %d)\n", 
		    	c.hodo[j].x, h2[j].x);
		    fprintf(stderr,"\ty (got %d, want %d)\n", 
		    	c.hodo[j].y, h2[j].y);
		    fprintf(stderr,"\tI (got %d, want %d)\n", 
		    	c.hodo[j].I, h2[j].I);
		    return -1;
		}
	    }
	    break;
	} else {
	    continue;
	}
    }
#else
    for (k=0; k<100; k++) {
	ret = sc_tlm_next_evt(&c, &d, fp, &norm);
	if (ret != 1) {
	    break;
	}
	if (norm) {
	    printf("\n%d) NORM size = %d\n", k, c.nbytes);
	    for (j=0; j<c.nblobs; j++) {
		printf("\t%d, %d, %u,\n", c.hodo[j].x,
		    c.hodo[j].y, c.hodo[j].I);
	    }
	} else {
	    printf("\n%d) DIAG size = %d\n", k, d.e.nbytes);
	    for (j=0; j<d.e.nblobs; j++) {
		printf("\t%d, %d, %u,\n", d.e.hodo[j].x,
		    d.e.hodo[j].y, d.e.hodo[j].I);
	    }
	}
    }
    printf("};\n");
#endif

    return 0;
}
