/* next_minor_test.c - sc_tlm_next_minor() */

#include <stdio.h>
#include <string.h>	/* strerror */
#include <errno.h>	/* errno decl */
#include <softcris.h>

char *Progname;

struct sc_crisHodoData h[] = {
        895, 18, 131072,
        66, 459, 65536,
        316, 455, 32768,
        534, 28, 24576,
        539, 453, 24576,
        305, 30, 16384,
        1011, 23, 12288,
        764, 28, 8192,
        81, 25, 6144,
        777, 453, 4096,
};

int
main(int argc, char *argv[])
{
    char filename[100];
    FILE *fp;
    int i, j, k;
    struct sc_minorFrame m;
    int ret;

    Progname = argv[0];

    strcpy(filename, "Input/2ace.norm");
    fp = fopen(filename, "rb");
    if (fp == NULL) {
	fprintf(stderr, "%s: can't open '%s' (%s)\n", Progname, filename,
	    strerror(errno));
	return -1;
    }

#ifndef NOTDEF
    for (k=0; k<10; k++) {
	ret = sc_tlm_next_minor(&m, fp);
	if (ret != 1) {
	    fprintf(stderr,"%s: bad next_minor: wanted 1 got %d (k=%d)\n",
	    	Progname, ret, k);
	    return -1;
	}
	if (k == 8) {
	    if (m.nevt != 1) {
		fprintf(stderr,"%s: m.nevt was %d, not 1\n", 
		    Progname, m.nevt);
		return -1;
	    }
	    for (j=0; j<m.e[0].nblobs; j++) {
		if (m.e[0].hodo[j].x != h[j].x ||
			m.e[0].hodo[j].y != h[j].y ||
			m.e[0].hodo[j].I != h[j].I) {
		    fprintf(stderr,"%s: (j=%d) one of these is wrong:\n",
		    	Progname, j);
		    fprintf(stderr,"\tx (got %d, want %d)\n",
		    	m.e[0].hodo[j].x, h[j].x);
		    fprintf(stderr,"\ty (got %d, want %d)\n",
		    	m.e[0].hodo[j].y, h[j].y);
		    fprintf(stderr,"\tI (got %d, want %d)\n",
		    	m.e[0].hodo[j].I, h[j].I);
		    return -1;
		}
	    }
	    break;
	}
    }
#else
    printf("\nstruct sc_crisHodoData h[] = {\n");
    while (1) {
	ret = sc_tlm_next_minor(&m, fp);
	if (ret != 1) {
	    break;
	}
	if (m.nevt) {
	    for (i=0; i<m.nevt; i++) {
		for (j=0; j<m.e[i].nblobs; j++) {
		    printf("\t%d, %d, %u,\n", m.e[i].hodo[j].x,
			m.e[i].hodo[j].y, m.e[i].hodo[j].I);
		}
	    }
	}
    }
    printf("};\n");
#endif

    return 0;
}
