void DisplayCrisSubset(subset)
CrisSubset *subset;
{
   float current;
   int   date;
   int   day;
   int   hour;
   int   i;
   int   minute;
   int   month;
   int   sec1970;
   int   second;
   int   time;
   float temperature;
   float voltage;
   int   xpos;
   int   year;
   int   ypos;

   static int first = 1;

   if (first)
   {
      initscr();
      first = 0;
   }
   if (!((subset->MajorFrameCount) || (subset->MinorFrameCount)))
   {
      clear();
      refresh();
      clear();
      refresh();
   }

   /* Display the date, time, packet, major frame, and Minor frame. */

   sec1970 = ConvertToSeconds1970((subset->year % 100)*10000 + 101, 0)
           + (subset->DayOfYear - 1)*86400 + (subset->TimeOfDay)/100;
   ConvertFromSeconds1970(sec1970, &date, &time);
   year = date/10000;
   month = (date - 10000*year)/100;
   day = date - year*10000 - month*100;
   hour = time/10000;
   minute = (time - hour*10000)/100;
   second = time - hour*10000 - minute*100;
   move(0, 0);
   printw("%2.2d/%2.2d/%2.2d %2.2d:%2.2d:%2.2d", year, month, day,
                                                 hour, minute,second);
   move(0, 23);
   printw("Packet: %10.10d", subset->PacketSecondaryHeader);
   move(0, 47);
   printw("Major Frm: %3.3d", subset->MajorFrameCount);
   move(0, 65);
   printw("Minor Frm: %4.4d", subset->MinorFrameCount);

   /* Display the S/C Housekeeping for CRIS. */

   if (subset->MainBusVoltage)
   {
      voltage = 0.15054*((float) subset->MainBusVoltage);
      move(2, 0);
      printw("%6.3f (V) Main Bus Voltage", voltage);
   }
   if (subset->MainBusCurrent)
   {
      current = ((float) subset->MainBusCurrent) * 0.07743;
      move(2, 42);
      printw("%6.3f (A) Main Bus Current", current);
   }
   if (subset->CrisInternalTemperature1)
   {
      temperature = -0.62745*((float) subset->CrisInternalTemperature1)
                                                                  + 100.0;
      move(3, 0);
      printw("%6.2f (C) CRIS Internal Temperature 1", temperature);
   }
   if (subset->CrisInternalTemperature2)
   {
      temperature = -0.62745*((float) subset->CrisInternalTemperature2)
                                                                  + 100.0;
      move(3, 42);
      printw("%6.2f (C) CRIS Internal Temperature 2", temperature);
   }
   if (subset->CrisInterfaceTemperature)
   {
      temperature = -0.62745*((float) subset->CrisInterfaceTemperature)
                                                                  + 100.0;
      move(4, 0);
      printw("%6.2f (C) CRIS Interface Temperature", temperature);
   }
   if (subset->CrisCurrent)
   {
      current = 0.005602*((float) subset->CrisCurrent);
      move(4, 42);
      printw("%6.3f (A) CRIS Current", current);
   }

   /* Display the CRIS telemetry data. */

   ypos=5;
   xpos=0;
   for (i=0; i<NUM_CRIS_TELEMETRY_BYTES; i++)
   {
      if (!(i % 4))
      {
         if (!(i % 32))
         {
            xpos=0;
            ypos++;
         }
         else
         {
            xpos += 2;
         }
      }
      move(ypos, xpos);
      printw("%2.2x", subset->CrisData[i]);
      xpos += 2;
   } 
   refresh();
}
