void UnpackVctfHeader(header, UnpackedHeader)
u_char *header;
UnpackedVctfHeader *UnpackedHeader;
{
   u_int tmp;
   u_char *TmpByte;
   static int msb0 = 0;
   static int msb1 = 0;
   static int msb2 = 0;
   static int msb3 = 0;

   if (msb0 == msb3) byteorder(&msb0, &msb1, &msb2, &msb3);
   TmpByte = (u_char *) &tmp;

   tmp = 0;

   TmpByte[msb2] = header[0];
   TmpByte[msb3] = header[1];
   UnpackedHeader->OperationalControlField =
                                           (u_char) (tmp & 0x00000001);
   tmp >>= 1;
   UnpackedHeader->VirtualChannelId = (u_char) (tmp & 0x00000007);
   tmp >>= 3;
   UnpackedHeader->SpacecraftId = (u_short) (tmp & 0x000003ff);
   tmp >>= 10;
   UnpackedHeader->TransferFrameVersionNumber =
                                           (u_char) (tmp & 0x00000003);

   UnpackedHeader->MasterChannelFrameCount = header[2];
   UnpackedHeader->VirtualChannelFrameCount = header[3];

   TmpByte[msb2] = header[4];
   TmpByte[msb3] = header[5];
   if (UnpackedHeader->VirtualChannelId == 2)
   {
      UnpackedHeader->SsrId = (u_char) (tmp & 0x00000001);
      tmp >> 1;
      UnpackedHeader->SsrReadPointer = (u_short) (tmp & 0x000003ff);
      tmp >> 10;
      UnpackedHeader->SsrOperatingMode = (u_char) (tmp & 0x00000003);
      tmp >> 2;
      UnpackedHeader->FirstHeaderPointer = 0;
      UnpackedHeader->SegmentLengthId = 0;
   }
   else
   {
      UnpackedHeader->FirstHeaderPointer = (u_short) (tmp & 0x000007ff);
      tmp >>= 11;
      UnpackedHeader->SegmentLengthId = (u_char) (tmp & 0x00000003);
      tmp >>= 2;
      UnpackedHeader->SsrId = 0;
      UnpackedHeader->SsrReadPointer = 0;
      UnpackedHeader->SsrOperatingMode = 0;
   }
   UnpackedHeader->PacketOrderFlag = (u_char) (tmp & 0x00000001);
   tmp >>= 1;
   UnpackedHeader->SyncFlag = (u_char) (tmp & 0x00000001);
   tmp >>= 1;
   UnpackedHeader->TransferFrameSecondaryHeaderFlag =
                                           (u_char) (tmp & 0x00000001);
}
