#include <curses.h>
#include "include/wustl.h"
#include <errno.h>	/* strerror */

#include "DownlinkLib/BuildCrisSubset.c"
#include "DownlinkLib/DisplayCrisSubset.c"
#include "DownlinkLib/UnpackClcw.c"
#include "DownlinkLib/UnpackDddHeader.c"
#include "DownlinkLib/UnpackHeaderAggregation.c"
#include "DownlinkLib/UnpackMinorFrameHeader.c"
#include "DownlinkLib/UnpackPacketHeader.c"
#include "DownlinkLib/UnpackSfduLabel.c"
#include "DownlinkLib/UnpackVctfHeader.c"
#include "general/ConvertFromSeconds1970.c"
#include "general/ConvertToSeconds1970.c"
#include "general/byteorder.c"

main(argc, argv)
int argc;
char *argv[];
{
    FILE *fd;
    AceBlock block;  
    CrisSubset subset;
    char *filename;
    unsigned int sleepamt = 100000;

    if (argc == 2) {
	filename = argv[1];
    } else if (argc == 3) {
	sleepamt = (unsigned int)atoi(argv[1]);
	filename = argv[2];
    } else {
	fprintf(stderr,"USAGE: %s [sleepamt] datafile\n", argv[0]);
	exit(1);
    }

    fd = fopen(filename, "r");
    if (!fd)
    {
       fprintf(stderr, "%s: can't open '%s' (%s)\n", 
       	argv[0], argv[1], strerror(errno));
       exit(0);
    }
    while (fread(&block, ACE_BLOCK_LENGTH, 1, fd))
    {
       BuildCrisSubset(&block, &subset);
       DisplayCrisSubset(&subset);
       usleep(sleepamt);
    }
}
    
