/* chknorm - check the size of the cris normal evt
 *
 *	USAGE: chknorm b1 b2 b3 b4 b5 b6 [b7]
 *
 *		b1 - b7 are the hex representation of the first 7 bytes
 *		of the normal frame. b7 may or may not be present.
 *
 *	Marty Olevitch, Jan 1997
 */

#include <stdio.h>
#include <softcris.h>

char *Progname;

int
main(argc, argv)
    int argc;
    char *argv[];
{
    u_char b[7];
    struct sc_crisEvt c;
    int i, j;
    int ret;

    Progname = argv[0];
    if (argc < 7 || argc > 8) {
	fprintf(stderr,"USAGE: %s b1 b2 b3 b4 b5 b6 [b7]\n", Progname);
	exit(1);
    }

    for (i=0; i<argc-1; i++) {
	j = (int)strtol(argv[i+1], (char **)NULL,16);
	b[i] = (u_char)(j & 0x00ff);
    }

    ret = sc_chk_cris_norm(b, &c);

    if (ret == 0) {
	printf("ok\t(len = %d)\n", c.nbytes);
	exit(0);
    } else if (ret == 1) {
	printf("ok w/o tag bits\t(len = %d)\n", c.nbytes);
    } else {
	printf("bad (len should be %d, not %d)\n", -ret, c.nbytes);
	exit(1);
    }
}
