/* chknorm3 - find locations in the sequence of bytes that match the start
 * 	of a CRIS normal event
 *
 *	USAGE: chknorm b1 b2 b3 b4 b5 b6 ... bn
 *
 *		b1 - bn are the hex representation of the bytes
 *		of the normal frame.
 *
 *	Marty Olevitch, Oct 1997
 */

#include <stdio.h>
#include <softcris.h>

char *Progname;

#define MAXBYTES 100

int
main(argc, argv)
    int argc;
    char *argv[];
{
    u_char b[MAXBYTES];
    u_char *cp;
    struct sc_crisEvt c;
    int i, j;
    int ret;

    Progname = argv[0];
    if (argc < 7) {
	fprintf(stderr,"USAGE: %s b1 b2 b3 b4 b5 b6 ... bn\n", Progname);
	exit(1);
    }
    if (argc >= MAXBYTES) {
	fprintf(stderr,"too many args: must be less than %d\n", MAXBYTES);
	exit(1);
    }

    for (i=0; i<argc-1; i++) {
	j = (int)strtol(argv[i+1], (char **)NULL,16);
	b[i] = (u_char)(j & 0x00ff);
    }

    for (i=0; i<argc-1; i++) {
	cp = b + i;
	ret = sc_chk_cris_norm(cp, &c);
	if (ret == 0) {
	    printf("ok at byte %d\t(len = %d)\n", i, c.nbytes);
	} else if (ret == 1) {
	    printf("ok at byte %d w/o tag bits\t(len = %d)\n", i, c.nbytes);
	} else {
	    ;
	}
    }
}
