#include <sys/types.h>
#include <stdio.h>

#define NUM_CRIS_TELEMETRY_BYTES         58

#define ACE_BLOCK_LENGTH               1122
#define TELEMETRY_OFFSET_CRIS            82

#define DOWNLINK_FORMAT_SCIENCE              1
#define DOWNLINK_FORMAT_ADC                  2
#define DOWNLINK_FORMAT_CDH_MEMORY           3
#define DOWNLINK_FORMAT_CDH_BIN              4
#define DOWNLINK_FORMAT_LOW_RATE_HSKP        5
#define DOWNLINK_FORMAT_LOW_RATE_ADC         6
#define DOWNLINK_FORMAT_LOW_RATE_CDH_MEMORY  7
#define DOWNLINK_FORMAT_LOW_RATE_CDH_BIN     8
#define DOWNLINK_FORMAT_RTSW                 9

#include "downlink/AceBlockStruct.h"
#include "downlink/CrisSubsetStruct.h"
#include "downlink/UnpackedClcwStruct.h"
#include "downlink/UnpackedDddHeaderStruct.h"
#include "downlink/UnpackedHeaderAggregationStruct.h"
#include "downlink/UnpackedMinorFrameHeaderStruct.h"
#include "downlink/UnpackedPacketHeaderStruct.h"
#include "downlink/UnpackedSfduLabelStruct.h"
#include "downlink/UnpackedVctfHeaderStruct.h"

void BuildCrisSubset();
void DisplayCrisSubset();
void UnpackClcw();
void UnpackDddHeader();
void UnpackHeaderAggregation();
void UnpackMinorFrameHeader();
void UnpackPacketHeader();
void UnpackSfduLabel();
void UnpackVctfHeader();

void ConvertFromSeconds1970();
int ConvertToSeconds1970();
int byteorder();
