#include <stdio.h>
#include <string.h>	/* memcpy */
#include <errno.h>
#include <softcris.h>

int
main(argc, argv)
    int argc;
    char *argv[];
{
    struct sc_diagEvt d;
    FILE *fp;
    int i;
    int j;
    int ret;

    if (argc == 2) {
	fp = fopen(argv[1], "r");
	if (fp == NULL) {
	    fprintf(stderr,"%s: can't open '%s' (%s)\n", argv[0], argv[1],
		strerror(errno));
	    exit(1);
	}
    } else {
	fp = stdin;
    }

    while (1) {
	ret = sc_tlm_next_diag(&d, fp);
	printf("ret %d\n", ret);
	if (ret == 0) {
	    exit(0);
	} else if (ret == -1) {
	    fprintf(stderr,"%s: error", argv[0]);
	    if (ferror(fp)) {
		fprintf(stderr, " (%s)", strerror(errno));
	    }
	    fprintf(stderr, "\n");
	    exit(1);
	} else if (ret == -5) {
	    if (feof(fp)) {
		fprintf(stderr, "EOF\n");
	    } else if (ferror(fp)) {
		fprintf(stderr, "error (%s)\n", strerror(errno));
	    } else {
		fprintf(stderr,"%s: malformed intro\n", argv[0]);
	    }
	    exit(1);
	} else if (ret < 0) {
	    ;
	} else {
	    printf("Nsize %d\n", d.e.nbytes);
	    for (j=0; j < d.e.nblobs; j++) {
		printf("\t%d) %d %d %u\n", j, d.e.hodo[j].x, d.e.hodo[j].y, 
		    d.e.hodo[j].I);
	    }
	}
    }
}
