/* conv_frm - convert a raw soft image to little-endian or vice-versa
 *
 * USAGE
 *	conv_frm < infile > outfile
 *
 * COMPILE
 *	cc -o conv_frm conv_frm.c
 *
 * Marty Olevitch, Nov 1996
 */

#include <stdio.h>
#include <stdlib.h>

char *Progname;

#define RDSIZE 10000

int
main(int argc, char *argv[])
{
    unsigned char b[RDSIZE];
    unsigned char b2[RDSIZE];
    int i;
    unsigned char *p;
    int ret;

    Progname = argv[0];
    if (argc > 1) {
	fprintf(stderr, "USAGE: %s < inputfile > outfile\n", Progname);
	exit(1);
    }

    while (1) {
	ret = fread(b, 1, RDSIZE, stdin);
	if (ret == 0) {
	    fflush(stdout);
	    exit(0);
	}
	swab(b, b2, ret);
	fwrite(b2, 1, ret, stdout);
    }

    return 0;
}
