/* rdfmap - test program for pixel-to-fiber map routines
 *
 * USAGE: rdfmap cam1map cam2map
 *
 * Marty Olevitch, Feb 1996
 */

#include <stdio.h>
#include <local.h>
#include <softcris.h>

char *layerstr[] = {
    "Y3", "X3", "Y2", "X2", "Y1", "X1"
};

void prompt(void);

void
prompt(void)
{
    printf("rdfmap> ");
    fflush(stdout);
}

int
main(int argc, char *argv[])
{
    int cam;
    char *cp;
    char filename1[100];
    char filename2[100];
    struct sc_fmapElem *fmapp;
    struct sc_fmapElem *fmapp1[SC_FMAPX];
    struct sc_fmapElem *fmapp2[SC_FMAPX];
    int i;
    char input[80];
    int ret;
    int x;
    int y;

    if (argc != 3) {
	fatal("USAGE: rdfmap cam1map cam2map");
    }

    strcpy(filename1, argv[1]);
    strcpy(filename2, argv[2]);

    for (i=0; i<SC_FMAPX; i++) {
	fmapp1[i] = (struct sc_fmapElem *)
	    malloc(SC_FMAPY*sizeof(struct sc_fmapElem));
	if (fmapp1[i] == (struct sc_fmapElem *)NULL) {
	    fatal("can't malloc cam 1 map (tab %d)", i);
	}
    }

    for (i=0; i<SC_FMAPX; i++) {
	fmapp2[i] = (struct sc_fmapElem *)
	    malloc(SC_FMAPY*sizeof(struct sc_fmapElem));
	if (fmapp2[i] == (struct sc_fmapElem *)NULL) {
	    fatal("can't malloc cam 2 map (tab %d)", i);
	}
    }

    ret = sc_read_fmap_by_name(filename1, fmapp1);
    if (ret) {
	fatal("bad read_fmap for cam 1");
    }

    ret = sc_read_fmap_by_name(filename2, fmapp2);
    if (ret) {
	fatal("bad read_fmap for cam 2");
    }

    prompt();
    while (fgets(input, 80, stdin) != NULL) {
	if (input[0] == 'c') {
	    if (input[1] == '1') {
		cam = 1;
	    } else if (input[1] == '2') {
		cam = 2;
	    } else {
		printf("Cam must be either 1 or 2, not %c\n", input[1]);
	    }
	    prompt();
	    continue;
	}
	if (input[0] == 'q') {
	    break;
	}
	cp = getfield(1, input, " ");
	if (cp == NULL) {
	    printf("Enter \"x y\"\n");
	    prompt();
	    continue;
	}
	x = atoi(cp);
	cp = getfield(2, input, " ");
	if (cp == NULL) {
	    printf("Enter \"x y\"\n");
	    prompt();
	    continue;
	}
	y = atoi(cp);
	if (cam == 1) {
	    fmapp = &fmapp1[x][y];
	} else {
	    fmapp = &fmapp2[x][y];
	}
	if (fmapp->layer != SC_NOLAYER) {
	    printf("cam: %d x: %d  y: %d  fiber: %g  ypos: %g layer: %s\n",
		cam, x, y, fmapp->fiber, (fmapp->ypos)/128.0, 
		layerstr[fmapp->layer]);
	} else {
	    printf("cam: %d  x: %d  y: %d  unmapped\n", cam, x, y);
	}
	prompt();
    }
}
