/* xypos - show tab, layer, and real pos given pixel (x,y)
 *
 * USAGE: xypos x y
 *
 *	Marty Olevitch, Nov 1996
 */

#include <stdio.h>
#include <math.h>
#include <softcris.h>
#include <local.h>

char *Progname;

int
main(int argc, char *argv[]) {
    int lut;
    int layer;
    double pos;
    int ret;
    int tab;
    double x;
    double y;

    Progname = argv[0];

    if (argc != 3) {
	fatal("USAGE: xypos x y");
    }

    x = atof(argv[1]);
    y = atof(argv[2]);

    lut = sc_lu_read_table("/usr/local/lib/ace/lut.cam2.msu1195");
    if (lut < 0) {
	errmesg2("%s: bad return from sc_lu_read_table() = %d",
	    Progname, lut);
    	exit(1);
    }

    ret = sc_lu_pix_to_real_pos(lut, x, y, &tab, &layer, &pos);
    if (ret) {
	errmesg2("%s: bad return form sc_lu_pix_to_real_pos() = %d",
	    Progname, ret);
	exit(1);
    }
    printf("\t%.2f,\t%.2f,\t%d,\t%d,\t%.2f,\n", x, y, tab, layer, pos);
    exit(0);
}
