/* hsktab.h - contains the telemetry housekeeping table */

#ifndef _HSKTAB_H
#define _HSKTAB_H

static char hsktab_h_cvsid[] = "$Id: hsktab.h,v 1.1.1.1 1997/03/14 15:53:04 marty Exp $";

struct tlmHsk {
    double reserved;	/* converted value in the future or something else */
    int rawval;		/* raw adc, etc value */
    int idx;		/* numerical index for this hsk item */
    int class;
    int type;
    int minor;		/* minor frame it appears in (0-255) */
    int startbit;	/* starting bit in the 3 hsk bytes (0-23) */
    int stopbit;	/* ending bit of the item in the 3 hsk bytes (0-23) */
    char item[16];	/* descriptive string */
};

/* "classes" */
#define HSKP	0
#define RATE	1

/* "types" */
#define LVPSMONITOR	0
#define HIGHPRIORITY	1
#define SINGLE		2
#define GROUND		3
#define HVPSSOFT	4
#define HVPSSI		5
#define CURRENTSOFT	6
#define CURRENTSI	7
#define EVENTBUFFER	8
#define TEMPERATURE	9
#define MISC		10
#define DAC		11
#define CTINDEX		12
#define CMDTABLE	13
#define HEATER		14
#define STATUS		15

struct tlmHsk Hsktab[] = {
    0.0, -1,   0,  HSKP,  LVPSMONITOR,    0,    4, 13, "MON+7.3V",       
    0.0, -1,   1,  HSKP,  LVPSMONITOR,    0,   14, 23, "MON+15V",        
    0.0, -1,   2,  HSKP,  LVPSMONITOR,    1,    4, 13, "MON+19V",
    0.0, -1,   3,  HSKP,  LVPSMONITOR,    1,   14, 23, "MON+13.4V",
    0.0, -1,   4,  HSKP,  LVPSMONITOR,    2,    4, 13, "MON-13.4V",
    0.0, -1,   5,  HSKP,  LVPSMONITOR,    2,   14, 23, "MON+5V",
    0.0, -1,   6,  RATE,  HIGHPRIORITY,   3,    3, 23, "HP0",
    0.0, -1,   7,  RATE,  HIGHPRIORITY,   4,    3, 23, "HP1",
    0.0, -1,   8,  RATE,  SINGLE,         5,    3, 23, "STMCO",
    0.0, -1,   9,  RATE,  SINGLE,         6,    3, 23, "STMOFF",
    0.0, -1,  10, RATE,  SINGLE,         7,    3, 23, "Z1AB",
    0.0, -1,  11, RATE,  SINGLE,         8,    3, 23, "Z2AB",
    0.0, -1,  12, RATE,  SINGLE,         9,    3, 23, "Z>2AB",
    0.0, -1,  13, RATE,  SINGLE,        10,    3, 23, "Z1CD",
    0.0, -1,  14, RATE,  SINGLE,        11,    3, 23, "Z2CD",
    0.0, -1,  15, RATE,  SINGLE,        12,    3, 23, "Z>2CD",
    0.0, -1,  16, RATE,  SINGLE,        13,    3, 23, "HAZARD",
    0.0, -1,  17, RATE,  SINGLE,        14,    3, 23, "GH",
    0.0, -1,  18, RATE,  SINGLE,        15,    3, 23, "MOR",
    0.0, -1,  19, HSKP,  GROUND,        16,    4, 13, "GROUND",
    0.0, -1,  20, HSKP,  GROUND,        16,   14, 23, "GROUND",
    0.0, -1,  21, HSKP,  LVPSMONITOR,   17,    4, 13, "MON+6V",
    0.0, -1,  22, HSKP,  LVPSMONITOR,   17,   14, 23, "MON-6V",
    0.0, -1,  23, HSKP,  LVPSMONITOR,   18,    4, 13, "MON+12V",
    0.0, -1,  24, HSKP,  LVPSMONITOR,   18,   14, 23, "MON-12V",
    0.0, -1,  25, RATE,  HIGHPRIORITY,  19,    3, 23, "HP0",
    0.0, -1,  26, RATE,  HIGHPRIORITY,  20,    3, 23, "HP1",
    0.0, -1,  27, RATE,  SINGLE,        21,    3, 23, "HOR",
    0.0, -1,  28, RATE,  SINGLE,        22,    3, 23, "ADC2AB",
    0.0, -1,  29, RATE,  SINGLE,        23,    3, 23, "MNRGAB",
    0.0, -1,  30, RATE,  SINGLE,        24,    3, 23, "ADC2CD",
    0.0, -1,  31, RATE,  SINGLE,        25,    3, 23, "MNRGCD",
    0.0, -1,  32, RATE,  SINGLE,        26,    3, 23, "E1A",
    0.0, -1,  33, RATE,  SINGLE,        27,    3, 23, "E1B",
    0.0, -1,  34, RATE,  SINGLE,        28,    3, 23, "E2AB",
    0.0, -1,  35, RATE,  SINGLE,        29,    3, 23, "E3AB",
    0.0, -1,  36, RATE,  SINGLE,        30,    3, 23, "E4AB",
    0.0, -1,  37, RATE,  SINGLE,        31,    3, 23, "E5AB",
    0.0, -1,  38, HSKP,  GROUND,        32,    4, 13, "GROUND",
    0.0, -1,  39, HSKP,  GROUND,        32,   14, 23, "GROUND",
    0.0, -1,  40, HSKP,  GROUND,        33,    4, 13, "GROUND",
    0.0, -1,  41, HSKP,  LVPSMONITOR,   33,   14, 23, "MON-7.3V",
    0.0, -1,  42, HSKP,  HVPSSOFT,      34,    4, 13, "MON-MCP1",
    0.0, -1,  43, HSKP,  HVPSSOFT,      34,   14, 23, "MON-MCP2",
    0.0, -1,  44, RATE,  HIGHPRIORITY,  35,    3, 23, "HP0",
    0.0, -1,  45, RATE,  HIGHPRIORITY,  36,    3, 23, "HP1",
    0.0, -1,  46, RATE,  SINGLE,        37,    3, 23, "E6AB",
    0.0, -1,  47, RATE,  SINGLE,        38,    3, 23, "E7AB",
    0.0, -1,  48, RATE,  SINGLE,        39,    3, 23, "E8AB",
    0.0, -1,  49, RATE,  SINGLE,        40,    3, 23, "E9AB",
    0.0, -1,  50, RATE,  SINGLE,        41,    3, 23, "G2AB",
    0.0, -1,  51, RATE,  SINGLE,        42,    3, 23, "G3AB",
    0.0, -1,  52, RATE,  SINGLE,        43,    3, 23, "G4AB",
    0.0, -1,  53, RATE,  SINGLE,        44,    3, 23, "G5AB",
    0.0, -1,  54, RATE,  SINGLE,        45,    3, 23, "G6AB",
    0.0, -1,  55, RATE,  SINGLE,        46,    3, 23, "G7AB",
    0.0, -1,  56, RATE,  SINGLE,        47,    3, 23, "E1C",
    0.0, -1,  57, HSKP,  HVPSSI,        48,    4, 13, "MON-HVPS1-I",
    0.0, -1,  58, HSKP,  HVPSSI,        48,   14, 23, "MON-HVPS2-I",
    0.0, -1,  59, HSKP,  HVPSSI,        49,    4, 13, "MON-HVPS3-I",
    0.0, -1,  60, HSKP,  HVPSSI,        49,   14, 23, "MON-HVPS4-I",
    0.0, -1,  61, HSKP,  CURRENTSOFT,   50,    4, 13, "MON-SOFT-PSA-I",
    0.0, -1,  62, HSKP,  CURRENTSOFT,   50,   14, 23, "MON-SOFT-PSB-I",
    0.0, -1,  63, RATE,  HIGHPRIORITY,  51,    3, 23, "HP0",
    0.0, -1,  64, RATE,  HIGHPRIORITY,  52,    3, 23, "HP1",
    0.0, -1,  65, RATE,  SINGLE,        53,    3, 23, "E1D",
    0.0, -1,  66, RATE,  SINGLE,        54,    3, 23, "E2CD",
    0.0, -1,  67, RATE,  SINGLE,        55,    3, 23, "E3CD",
    0.0, -1,  68, RATE,  SINGLE,        56,    3, 23, "E4CD",
    0.0, -1,  69, RATE,  SINGLE,        57,    3, 23, "E5CD",
    0.0, -1,  70, RATE,  SINGLE,        58,    3, 23, "E6CD",
    0.0, -1,  71, RATE,  SINGLE,        59,    3, 23, "E7CD",
    0.0, -1,  72, RATE,  SINGLE,        60,    3, 23, "E8CD",
    0.0, -1,  73, RATE,  SINGLE,        61,    3, 23, "E9CD",
    0.0, -1,  74, RATE,  SINGLE,        62,    3, 23, "G2CD",
    0.0, -1,  75, RATE,  SINGLE,        63,    3, 23, "G3CD",
    0.0, -1,  76, HSKP,  CURRENTSI,     64,    4, 13, "POSTDCE1A",
    0.0, -1,  77, HSKP,  CURRENTSI,     64,   14, 23, "POSTDCE1B",
    0.0, -1,  78, HSKP,  CURRENTSI,     65,    4, 13, "POSTDCE1C",
    0.0, -1,  79, HSKP,  CURRENTSI,     65,   14, 23, "POSTDCE1D",
    0.0, -1,  80, HSKP,  CURRENTSI,     66,    4, 13, "POSTDCE2AB",
    0.0, -1,  81, HSKP,  CURRENTSI,     66,   14, 23, "POSTDCE2CD",
    0.0, -1,  82, RATE,  HIGHPRIORITY,  67,    3, 23, "HP0",
    0.0, -1,  83, RATE,  HIGHPRIORITY,  68,    3, 23, "HP1",
    0.0, -1,  84, RATE,  SINGLE,        69,    3, 23, "G4CD",
    0.0, -1,  85, RATE,  SINGLE,        70,    3, 23, "G5CD",
    0.0, -1,  86, RATE,  SINGLE,        71,    3, 23, "G6CD",
    0.0, -1,  87, RATE,  SINGLE,        72,    3, 23, "G7CD",
    0.0, -1,  88, RATE,  EVENTBUFFER,   73,    3, 23, "0",
    0.0, -1,  89, RATE,  EVENTBUFFER,   74,    3, 23, "1",
    0.0, -1,  90, RATE,  EVENTBUFFER,   75,    3, 23, "2",
    0.0, -1,  91, RATE,  EVENTBUFFER,   76,    3, 23, "3",
    0.0, -1,  92, RATE,  EVENTBUFFER,   77,    3, 23, "4",
    0.0, -1,  93, RATE,  EVENTBUFFER,   78,    3, 23, "5",
    0.0, -1,  94, RATE,  EVENTBUFFER,   79,    3, 23, "6",
    0.0, -1,  95, HSKP,  CURRENTSI,     80,    4, 13, "POSTDCG2AB",
    0.0, -1,  96, HSKP,  CURRENTSI,     80,   14, 23, "POSTDCG2CD",
    0.0, -1,  97, HSKP,  CURRENTSI,     81,    4, 13, "POSTDCE3AB",
    0.0, -1,  98, HSKP,  CURRENTSI,     81,   14, 23, "POSTDCE3CD",
    0.0, -1,  99, HSKP,  CURRENTSI,     82,    4, 13, "POSTDCE4AB",
    0.0, -1, 100, HSKP,  CURRENTSI,     82,   14, 23, "POSTDCE4CD",
    0.0, -1, 101, RATE,  HIGHPRIORITY,  83,    3, 23, "HP0",
    0.0, -1, 102, RATE,  HIGHPRIORITY,  84,    3, 23, "HP1",
    0.0, -1, 103, RATE,  EVENTBUFFER,   85,    3, 23, "7",
    0.0, -1, 104, RATE,  EVENTBUFFER,   86,    3, 23, "8",
    0.0, -1, 105, RATE,  EVENTBUFFER,   87,    3, 23, "9",
    0.0, -1, 106, RATE,  EVENTBUFFER,   88,    3, 23, "10",
    0.0, -1, 107, RATE,  EVENTBUFFER,   89,    3, 23, "11",
    0.0, -1, 108, RATE,  EVENTBUFFER,   90,    3, 23, "12",
    0.0, -1, 109, RATE,  EVENTBUFFER,   91,    3, 23, "13",
    0.0, -1, 110, RATE,  EVENTBUFFER,   92,    3, 23, "14",
    0.0, -1, 111, RATE,  EVENTBUFFER,   93,    3, 23, "15",
    0.0, -1, 112, RATE,  EVENTBUFFER,   94,    3, 23, "16",
    0.0, -1, 113, RATE,  EVENTBUFFER,   95,    3, 23, "17",
    0.0, -1, 114, HSKP,  CURRENTSI,     96,    4, 13, "POSTDCG3AB",
    0.0, -1, 115, HSKP,  CURRENTSI,     96,   14, 23, "POSTDCG3CD",
    0.0, -1, 116, HSKP,  CURRENTSI,     97,    4, 13, "POSTDCG4AB",
    0.0, -1, 117, HSKP,  CURRENTSI,     97,   14, 23, "POSTDCG4CD",
    0.0, -1, 118, HSKP,  CURRENTSI,     98,    4, 13, "POSTDCE5AB",
    0.0, -1, 119, HSKP,  CURRENTSI,     98,   14, 23, "POSTDCE5CD",
    0.0, -1, 120, RATE,  HIGHPRIORITY,  99,    3, 23, "HP0",
    0.0, -1, 121, RATE,  HIGHPRIORITY, 100,    3, 23, "HP1",
    0.0, -1, 122, RATE,  EVENTBUFFER,  101,    3, 23, "18",
    0.0, -1, 123, RATE,  EVENTBUFFER,  102,    3, 23, "19",
    0.0, -1, 124, RATE,  EVENTBUFFER,  103,    3, 23, "20",
    0.0, -1, 125, RATE,  EVENTBUFFER,  104,    3, 23, "21",
    0.0, -1, 126, RATE,  EVENTBUFFER,  105,    3, 23, "22",
    0.0, -1, 127, RATE,  EVENTBUFFER,  106,    3, 23, "23",
    0.0, -1, 128, RATE,  EVENTBUFFER,  107,    3, 23, "24",
    0.0, -1, 129, RATE,  EVENTBUFFER,  108,    3, 23, "25",
    0.0, -1, 130, RATE,  EVENTBUFFER,  109,    3, 23, "26",
    0.0, -1, 131, RATE,  EVENTBUFFER,  110,    3, 23, "27",
    0.0, -1, 132, RATE,  EVENTBUFFER,  111,    3, 23, "28",
    0.0, -1, 133, HSKP,  CURRENTSI,    112,    4, 13, "POSTDCE6AB",
    0.0, -1, 134, HSKP,  CURRENTSI,    112,   14, 23, "POSTDCE6CD",
    0.0, -1, 135, HSKP,  CURRENTSI,    113,    4, 13, "POSTDCG5AB",
    0.0, -1, 136, HSKP,  CURRENTSI,    113,   14, 23, "POSTDCG5CD",
    0.0, -1, 137, HSKP,  CURRENTSI,    114,    4, 13, "POSTDCG6AB",
    0.0, -1, 138, HSKP,  CURRENTSI,    114,   14, 23, "POSTDCG6CD",
    0.0, -1, 139, RATE,  HIGHPRIORITY, 115,    3, 23, "HP0",
    0.0, -1, 140, RATE,  HIGHPRIORITY, 116,    3, 23, "HP1",
    0.0, -1, 141, RATE,  EVENTBUFFER,  117,    3, 23, "29",
    0.0, -1, 142, RATE,  EVENTBUFFER,  118,    3, 23, "30",
    0.0, -1, 143, RATE,  EVENTBUFFER,  119,    3, 23, "31",
    0.0, -1, 144, RATE,  EVENTBUFFER,  120,    3, 23, "32",
    0.0, -1, 145, RATE,  EVENTBUFFER,  121,    3, 23, "33",
    0.0, -1, 146, RATE,  EVENTBUFFER,  122,    3, 23, "34",
    0.0, -1, 147, RATE,  EVENTBUFFER,  123,    3, 23, "35",
    0.0, -1, 148, RATE,  EVENTBUFFER,  124,    3, 23, "36",
    0.0, -1, 149, RATE,  EVENTBUFFER,  125,    3, 23, "37",
    0.0, -1, 150, RATE,  EVENTBUFFER,  126,    3, 23, "38",
    0.0, -1, 151, RATE,  EVENTBUFFER,  127,    3, 23, "39",
    0.0, -1, 152, HSKP,  CURRENTSI,    128,    4, 13, "POSTDCE7AB",
    0.0, -1, 153, HSKP,  CURRENTSI,    128,   14, 23, "POSTDCE7CD",
    0.0, -1, 154, HSKP,  CURRENTSI,    129,    4, 13, "POSTDCE8AB",
    0.0, -1, 155, HSKP,  CURRENTSI,    129,   14, 23, "POSTDCE8CD",
    0.0, -1, 156, HSKP,  CURRENTSI,    130,    4, 13, "POSTDCG7AB",
    0.0, -1, 157, HSKP,  CURRENTSI,    130,   14, 23, "POSTDCG7CD",
    0.0, -1, 158, RATE,  HIGHPRIORITY, 131,    3, 23, "HP0",
    0.0, -1, 159, RATE,  HIGHPRIORITY, 132,    3, 23, "HP1",
    0.0, -1, 160, RATE,  EVENTBUFFER,  133,    3, 23, "40",
    0.0, -1, 161, RATE,  EVENTBUFFER,  134,    3, 23, "41",
    0.0, -1, 162, RATE,  EVENTBUFFER,  135,    3, 23, "42",
    0.0, -1, 163, RATE,  EVENTBUFFER,  136,    3, 23, "43",
    0.0, -1, 164, RATE,  EVENTBUFFER,  137,    3, 23, "44",
    0.0, -1, 165, RATE,  EVENTBUFFER,  138,    3, 23, "45",
    0.0, -1, 166, RATE,  EVENTBUFFER,  139,    3, 23, "46",
    0.0, -1, 167, RATE,  EVENTBUFFER,  140,    3, 23, "47",
    0.0, -1, 168, RATE,  EVENTBUFFER,  141,    3, 23, "48",
    0.0, -1, 169, RATE,  EVENTBUFFER,  142,    3, 23, "49",
    0.0, -1, 170, RATE,  EVENTBUFFER,  143,    3, 23, "50",
    0.0, -1, 171, HSKP,  CURRENTSI,    144,    4, 13, "POSTDCE9AB",
    0.0, -1, 172, HSKP,  CURRENTSI,    144,   14, 23, "POSTDCE9CD",
    0.0, -1, 173, HSKP,  TEMPERATURE,  145,    4, 13, "MOTHERBRD(D)",
    0.0, -1, 174, HSKP,  TEMPERATURE,  145,   14, 23, "E1E2DETBRD(E)",
    0.0, -1, 175, HSKP,  TEMPERATURE,  146,    4, 13, "E1E2DETBRD(D)",
    0.0, -1, 176, HSKP,  TEMPERATURE,  146,   14, 23, "E3E4DETBRD(E)",
    0.0, -1, 177, RATE,  HIGHPRIORITY, 147,    3, 23, "HP0",
    0.0, -1, 178, RATE,  HIGHPRIORITY, 148,    3, 23, "HP1",
    0.0, -1, 179, RATE,  EVENTBUFFER,  149,    3, 23, "51",
    0.0, -1, 180, RATE,  EVENTBUFFER,  150,    3, 23, "52",
    0.0, -1, 181, RATE,  EVENTBUFFER,  151,    3, 23, "53",
    0.0, -1, 182, RATE,  EVENTBUFFER,  152,    3, 23, "54",
    0.0, -1, 183, RATE,  EVENTBUFFER,  153,    3, 23, "55",
    0.0, -1, 184, RATE,  EVENTBUFFER,  154,    3, 23, "56",
    0.0, -1, 185, RATE,  EVENTBUFFER,  155,    3, 23, "57",
    0.0, -1, 186, RATE,  EVENTBUFFER,  156,    3, 23, "58",
    0.0, -1, 187, RATE,  EVENTBUFFER,  157,    3, 23, "59",
    0.0, -1, 188, RATE,  EVENTBUFFER,  158,    3, 23, "60",
    0.0, -1, 189, RATE,  EVENTBUFFER,  159,    3, 23, "61",
    0.0, -1, 190, HSKP,  TEMPERATURE,  160,    4, 13, "E3E4DETBRD(D)",
    0.0, -1, 191, HSKP,  TEMPERATURE,  160,   14, 23, "E5E6DETBRD(E)",
    0.0, -1, 192, HSKP,  TEMPERATURE,  161,    4, 13, "E5E6DETBRD(D)",
    0.0, -1, 193, HSKP,  TEMPERATURE,  161,   14, 23, "E789DETBRD(E)",
    0.0, -1, 194, HSKP,  TEMPERATURE,  162,    4, 13, "E789DETBRD(D)",
    0.0, -1, 195, HSKP,  TEMPERATURE,  162,   14, 23, "LVPS",
    0.0, -1, 196, RATE,  HIGHPRIORITY, 163,    3, 23, "HP0",
    0.0, -1, 197, RATE,  HIGHPRIORITY, 164,    3, 23, "HP1",
    0.0, -1, 198, RATE,  EVENTBUFFER,  165,    3, 23, "62",
    0.0, -1, 199, RATE,  EVENTBUFFER,  166,    3, 23, "63",
    0.0, -1, 200, RATE,  MISC,         167,    3, 23, "LIVETIM",
    0.0, -1, 201, RATE,  MISC,         168,    3, 23, "HELIVET",
    0.0, -1, 202, RATE,  MISC,         169,    3, 23, "HYLIVET",
    0.0, -1, 203, RATE,  MISC,         170,    3, 23, "TRG0RAT",
    0.0, -1, 204, RATE,  MISC,         171,    3, 23, "TRG1RAT",
    0.0, -1, 205, RATE,  MISC,         172,    3, 23, "TRG0&1",
    0.0, -1, 206, RATE,  MISC,         173,    3, 23, "NTAGINT",
    0.0, -1, 207, RATE,  MISC,         174,    3, 23, "NVLDINT",
    0.0, -1, 208, RATE,  MISC,         175,    3, 23, "NEVPROC",
    0.0, -1, 209, HSKP,  TEMPERATURE,  176,    4, 13, "HVPS",
    0.0, -1, 210, HSKP,  TEMPERATURE,  176,   14, 23, "ANALOGBRD",
    0.0, -1, 211, HSKP,  TEMPERATURE,  177,    4, 13, "POSTREGBRD",
    0.0, -1, 212, HSKP,  TEMPERATURE,  177,   14, 23, "MOTHERBRD(C)",
    0.0, -1, 213, HSKP,  TEMPERATURE,  178,    4, 13, "MOTHERBRD(E)",
    0.0, -1, 214, HSKP,  TEMPERATURE,  178,   14, 23, "LOGICBRD",
    0.0, -1, 215, RATE,  HIGHPRIORITY, 179,    3, 23, "HP0",
    0.0, -1, 216, RATE,  HIGHPRIORITY, 180,    3, 23, "HP1",
    0.0, -1, 217, RATE,  MISC,         181,    3, 23, "NRTPROC",
    0.0, -1, 218, RATE,  MISC,         182,    3, 23, "NSFTERR",
    0.0, -1, 219, RATE,  MISC,         183,    3, 23, "NBADID",
    0.0, -1, 220, RATE,  MISC,         184,    3, 23, "NCEBFUL",
    0.0, -1, 221, RATE,  MISC,         185,    3, 23, "NREBFUL",
    0.0, -1, 222, RATE,  MISC,         186,    3, 23, "NMACSYS",
    0.0, -1, 223, RATE,  MISC,         187,    3, 23, "NHDWREJ",
    0.0, -1, 224, HSKP,  GROUND,       192,    4, 13, "GROUND",
    0.0, -1, 225, HSKP,  GROUND,       192,   14, 23, "GROUND",
    0.0, -1, 226, HSKP,  GROUND,       193,    4, 13, "GROUND",
    0.0, -1, 227, HSKP,  GROUND,       193,   14, 23, "GROUND",
    0.0, -1, 228, HSKP,  TEMPERATURE,  194,    4, 13, "FIBERPLANETOP0",
    0.0, -1, 229, HSKP,  TEMPERATURE,  194,   14, 23, "FIBERPLANETOP1",
    0.0, -1, 230, RATE,  HIGHPRIORITY, 195,    3, 23, "HP0",
    0.0, -1, 231, RATE,  HIGHPRIORITY, 196,    3, 23, "HP1",
    0.0, -1, 232, HSKP,  DAC,          197,    8, 15, "DACG2AB",
    0.0, -1, 233, HSKP,  DAC,          197,   16, 23, "DACG3AB",
    0.0, -1, 234, HSKP,  DAC,          198,    8, 15, "DACG4AB",
    0.0, -1, 235, HSKP,  DAC,          198,   16, 23, "DACG5AB",
    0.0, -1, 236, HSKP,  DAC,          199,    8, 15, "DACG6AB",
    0.0, -1, 237, HSKP,  DAC,          199,   16, 23, "DACG7AB",
    0.0, -1, 238, HSKP,  DAC,          200,    8, 15, "DACE9AB",
    0.0, -1, 239, HSKP,  DAC,          200,   16, 23, "DACG2CD",
    0.0, -1, 240, HSKP,  DAC,          201,    8, 15, "DACG3CD",
    0.0, -1, 241, HSKP,  DAC,          201,   16, 23, "DACG4CD",
    0.0, -1, 242, HSKP,  DAC,          202,    8, 15, "DACG5CD",
    0.0, -1, 243, HSKP,  DAC,          202,   16, 23, "DACG6CD",
    0.0, -1, 244, HSKP,  DAC,          203,    8, 15, "DACG7CD",
    0.0, -1, 245, HSKP,  DAC,          203,   16, 23, "DACE9CD",
    0.0, -1, 246, HSKP,  CTINDEX,      207,    8, 23, "0",
    0.0, -1, 247, HSKP,  TEMPERATURE,  208,    4, 13, "FIBERPLANEMID",
    0.0, -1, 248, HSKP,  TEMPERATURE,  208,   14, 23, "FIBERPLANEBOT",
    0.0, -1, 249, HSKP,  TEMPERATURE,  209,    4, 13, "IMAGEINT1SIDE",
    0.0, -1, 250, HSKP,  TEMPERATURE,  209,   14, 23, "IMAGEINT2SIDE",
    0.0, -1, 251, HSKP,  TEMPERATURE,  210,    4, 13, "IMAGEINT1REAR",
    0.0, -1, 252, HSKP,  TEMPERATURE,  210,   14, 23, "CAMERAELECT1",
    0.0, -1, 253, RATE,  HIGHPRIORITY, 211,    3, 23, "HP0",
    0.0, -1, 254, RATE,  HIGHPRIORITY, 212,    3, 23, "HP1",
    0.0, -1, 255, HSKP,  CMDTABLE,     213,    8, 15, "0",
    0.0, -1, 256, HSKP,  CMDTABLE,     213,   16, 23, "1",
    0.0, -1, 257, HSKP,  CMDTABLE,     214,    8, 15, "2",
    0.0, -1, 258, HSKP,  CMDTABLE,     214,   16, 23, "3",
    0.0, -1, 259, HSKP,  CMDTABLE,     215,    8, 15, "4",
    0.0, -1, 260, HSKP,  CMDTABLE,     215,   16, 23, "5",
    0.0, -1, 261, HSKP,  CMDTABLE,     216,    8, 15, "6",
    0.0, -1, 262, HSKP,  CMDTABLE,     216,   16, 23, "7",
    0.0, -1, 263, HSKP,  CMDTABLE,     217,    8, 15, "8",
    0.0, -1, 264, HSKP,  CMDTABLE,     217,   16, 23, "9",
    0.0, -1, 265, HSKP,  CMDTABLE,     218,    8, 15, "10",
    0.0, -1, 266, HSKP,  CMDTABLE,     218,   16, 23, "11",
    0.0, -1, 267, HSKP,  CMDTABLE,     219,    8, 15, "12",
    0.0, -1, 268, HSKP,  CMDTABLE,     219,   16, 23, "13",
    0.0, -1, 269, HSKP,  CMDTABLE,     220,    8, 15, "14",
    0.0, -1, 270, HSKP,  CMDTABLE,     220,   16, 23, "15",
    0.0, -1, 271, HSKP,  CMDTABLE,     221,    8, 15, "16",
    0.0, -1, 272, HSKP,  CMDTABLE,     221,   16, 23, "17",
    0.0, -1, 273, HSKP,  CMDTABLE,     222,    8, 15, "18",
    0.0, -1, 274, HSKP,  CMDTABLE,     222,   16, 23, "19",
    0.0, -1, 275, HSKP,  CMDTABLE,     223,    8, 15, "20",
    0.0, -1, 276, HSKP,  CMDTABLE,     223,   16, 23, "21",
    0.0, -1, 277, HSKP,  TEMPERATURE,  224,    4, 13, "HVPS1",
    0.0, -1, 278, HSKP,  TEMPERATURE,  224,   14, 23, "IMAGEINT2REAR",
    0.0, -1, 279, HSKP,  TEMPERATURE,  225,    4, 13, "CAMERAELECT2",
    0.0, -1, 280, HSKP,  TEMPERATURE,  225,   14, 23, "HVPS2",
    0.0, -1, 281, RATE,  HIGHPRIORITY, 227,    3, 23, "HP0",
    0.0, -1, 282, RATE,  HIGHPRIORITY, 228,    3, 23, "HP1",
    0.0, -1, 283, HSKP,  CMDTABLE,     229,    8, 15, "22",
    0.0, -1, 284, HSKP,  CMDTABLE,     229,   16, 23, "23",
    0.0, -1, 285, HSKP,  CMDTABLE,     230,    8, 15, "24",
    0.0, -1, 286, HSKP,  CMDTABLE,     230,   16, 23, "25",
    0.0, -1, 287, HSKP,  CMDTABLE,     231,    8, 15, "26",
    0.0, -1, 288, HSKP,  CMDTABLE,     231,   16, 23, "27",
    0.0, -1, 289, HSKP,  CMDTABLE,     232,    8, 15, "28",
    0.0, -1, 290, HSKP,  CMDTABLE,     232,   16, 23, "29",
    0.0, -1, 291, HSKP,  CMDTABLE,     233,    8, 15, "30",
    0.0, -1, 292, HSKP,  CMDTABLE,     233,   16, 23, "31",
    0.0, -1, 293, HSKP,  CMDTABLE,     234,    8, 15, "32",
    0.0, -1, 294, HSKP,  CMDTABLE,     234,   16, 23, "33",
    0.0, -1, 295, HSKP,  CMDTABLE,     235,    8, 15, "34",
    0.0, -1, 296, HSKP,  CMDTABLE,     235,   16, 23, "35",
    0.0, -1, 297, HSKP,  CMDTABLE,     236,    8, 15, "36",
    0.0, -1, 298, HSKP,  CMDTABLE,     236,   16, 23, "37",
    0.0, -1, 299, HSKP,  CMDTABLE,     237,    8, 15, "38",
    0.0, -1, 300, HSKP,  CMDTABLE,     237,   16, 23, "39",
    0.0, -1, 301, HSKP,  CMDTABLE,     238,    8, 15, "40",
    0.0, -1, 302, HSKP,  CMDTABLE,     238,   16, 23, "41",
    0.0, -1, 303, HSKP,  CMDTABLE,     239,    8, 15, "42",
    0.0, -1, 304, HSKP,  CMDTABLE,     239,   16, 23, "43",
    0.0, -1, 305, HSKP,  HEATER,       240,    8, 15, "CCDAH",
    0.0, -1, 306, HSKP,  HEATER,       240,   16, 23, "CCDBH",
    0.0, -1, 307, HSKP,  HEATER,       241,    8, 15, "CRISH",
    0.0, -1, 308, HSKP,  STATUS,       241,   22, 22, "TMSIDE",
    0.0, -1, 309, HSKP,  STATUS,       241,   23, 23, "REFRESH",
    0.0, -1, 310, RATE,  HIGHPRIORITY, 243,    3, 23, "HP0",
    0.0, -1, 311, RATE,  HIGHPRIORITY, 244,    3, 23, "HP1",
    0.0, -1, 312, HSKP,  CMDTABLE,     245,    8, 15, "44",
    0.0, -1, 313, HSKP,  CMDTABLE,     245,   16, 23, "45",
    0.0, -1, 314, HSKP,  CMDTABLE,     246,    8, 15, "46",
    0.0, -1, 315, HSKP,  CMDTABLE,     246,   16, 23, "47",
    0.0, -1, 316, HSKP,  CMDTABLE,     247,    8, 15, "48",
    0.0, -1, 317, HSKP,  CMDTABLE,     247,   16, 23, "49",
    0.0, -1, 318, HSKP,  CMDTABLE,     248,    8, 15, "50",
    0.0, -1, 319, HSKP,  CMDTABLE,     248,   16, 23, "51",
    0.0, -1, 320, HSKP,  CMDTABLE,     249,    8, 15, "52",
    0.0, -1, 321, HSKP,  CMDTABLE,     249,   16, 23, "53",
    0.0, -1, 322, HSKP,  CMDTABLE,     250,    8, 15, "54",
    0.0, -1, 323, HSKP,  CMDTABLE,     250,   16, 23, "55",
    0.0, -1, 324, HSKP,  CMDTABLE,     251,    8, 15, "56",
    0.0, -1, 325, HSKP,  CMDTABLE,     251,   16, 23, "57",
    0.0, -1, 326, HSKP,  CMDTABLE,     252,    8, 15, "58",
    0.0, -1, 327, HSKP,  CMDTABLE,     252,   16, 23, "59",
    0.0, -1, 328, HSKP,  CMDTABLE,     253,    8, 15, "60",
    0.0, -1, 329, HSKP,  CMDTABLE,     253,   16, 23, "61",
    0.0, -1, 330, HSKP,  CMDTABLE,     254,    8, 15, "62",
    0.0, -1, 331, HSKP,  CMDTABLE,     254,   16, 23, "63",
    0.0, -1, 332, HSKP,  CMDTABLE,     255,    8, 15, "64",
    0.0, -1, 333, HSKP,  CMDTABLE,     255,   16, 23, "65",
};

static int Hsktabsize = (sizeof(Hsktab) / sizeof(Hsktab[0]));

#endif /* _HSKTAB_H */
