/* misc.c - miscellaneous routines */

static char cvsid[] = "$Id: misc.c,v 1.3 1998/02/02 22:47:18 marty Exp $";

#include <stdio.h>
#include <errno.h>
#include <stdarg.h>

#include "misc.h"

#ifndef HAVE_STRERROR
/* strerror - the equivalent of the ANSI strerror, I hope */

int sys_nerr;
char *sys_errlist[];

char *
strerror(e)
    int e;
{
    if (e < sys_nerr) {
	return(sys_errlist[e]);
    } else {
	return NULL;
    }
}
#endif /* not HAVE_STRERROR */

/* split - this was lifted from the Lexas local library */
int
split(char *srcp, char *sep, int n, ...)
{
	va_list ap;
	int i;
	char *destp;/* destination strings */
	char *cp, *strtok();

	va_start(ap, n);

	for(i=0; i<n; i++) {
		destp = va_arg(ap, char *);
		if(i == 0)
			cp = strtok(srcp, sep);
		else
			cp = strtok(NULL, sep);
			
		if(cp != NULL) {
			strcpy(destp, cp);
		} else {
			strcpy(destp, "");	/* not enough fields */
			break;
		}
	}
	va_end(ap);
	return(i);
}

/* general facility to store an error message and code (Jan 1998) */

static int _Errcode;
static char _Errmesg[ERRMESG_LEN];

void
set_err_code(int code, char *fmt, ...)
{
    va_list ap;
    _Errcode = code;
    if (fmt == NULL) {
	_Errmesg[0] = '\0';
    } else {
	va_start(ap, fmt);
	vsprintf(_Errmesg, fmt, ap);
	va_end(ap);
    }
}

int
sc_get_err_code(void)
{
    return _Errcode;
}

char *
sc_get_err_mesg(void)
{
    return _Errmesg;
}

#define NLINECNT	200
static int *_Linecnt = NULL;

void
incr_linecnt(int n)
{
    if (_Linecnt == NULL) {
	_Linecnt = (int *)calloc(NLINECNT, sizeof(int));
	if (_Linecnt == NULL) {
	    fprintf(stderr, "incr_linecnt: can't malloc\n");
	    return;
	}
    }
    if (n < 0 || n >= NLINECNT) {
	return;
    }
    _Linecnt[n]++;
}

int *
sc_get_linecnt(void)
{
    return _Linecnt;
}
